<?php

namespace App\Http\Controllers;

use App\Facades\Activity;
use App\Models\Company;
use Illuminate\Http\Request;
use App\Models\SalesOrder;
use App\Models\User;
use App\Models\Deal;
use App\Models\DealItem;
use App\Models\Invoice;
use App\Models\ShippingAccount;
use App\Models\Purchase;
use App\Models\Receivable;
use App\Models\SaleAttachment;
use App\Models\Vendor;
use App\Models\State;
use App\Models\Brand;
use SplFileObject;

use Illuminate\Support\Facades\DB;
use Auth;

class LookupController extends Controller
{
    /**
     * Create a new controller instance.
     *
     * @return void
     */
    use Traits\Functions;
    public function __construct()
    {
        //$this->middleware('auth');
    }

    /**
     * Show the application dashboard.
     *
     * @return \Illuminate\Contracts\Support\Renderable
     */
    public function order_net_terms()
    {
        $dealYear = request()->get('dealYear') ? request()->get('dealYear') : date("Y");
        $dealMonth = request()->get('dealMonth') ? request()->get('dealMonth') : date("m");
        $rawQuery = '';
        //year selection 


        if ($dealMonth != 'all') {


            $rawQuery .= '  MONTH(dealEndDateTime) = ' . $dealMonth;

        }


        //month selection 
        $rawQuery .= ' AND YEAR(dealEndDateTime) = ' . $dealYear;
        $orders = Deal::select('dealTermBy', 'dealPaymentMethod', 'dealSO')
            ->whereNotNull('dealTermBy')
            ->whereRaw($rawQuery)->get();
        $dealYearArray = $this->yearsList();
        $dealMonthArray = $this->monthsList();
        return view('reporting.net-terms.index', compact('orders', 'dealYearArray', 'dealMonthArray', 'dealYear', 'dealMonth'));
    }

    private function lookup_one_one(){

         $lookup_list = [
            4568
            ,
            4583
            ,
            4587
            ,
            4588
            ,
            4594
            ,
            4596
            ,
            4597
            ,
            4734
            ,
            4737
            ,
            4738
            ,
            4569
            ,
            4739
            ,
            4740
            ,
            4741
            ,
            4742
            ,
            4743
            ,
            4744
            ,
            4746
            ,
            4747
            ,
            4750
            ,
            4751
            ,
            4759
            ,
            4595
            ,
            4761
            ,
            4762
            ,
            4769
            ,
            4770
            ,
            4771
            ,
            4772
            ,
            4779
            ,
            4780
            ,
            4782
            ,
            4787
            ,
            4792
            ,
            4793
            ,
            4800
            ,
            4805
            ,
            4807
            ,
            4808
            ,
            4809
            ,
            4812
            ,
            4776
            ,
            4777
            ,
            4778
            ,
            4816
            ,
            4819
            ,
            4823
            ,
            4826
            ,
            4828
            ,
            4829
            ,
            4835
            ,
            4839
            ,
            4794
            ,
            4806
            ,
            4813
            ,
            4814
            ,
            4822
            ,
            4824
            ,
            4830
            ,
            4838
            ,
            4810
            ,
            4827
            ,
            4840
            ,
            4842
            ,
            4844
            ,
            4853
            ,
            4854
            ,
            4856
            ,
            4857
            ,
            4859
            ,
            4876
            ,
            4881
            ,
            4882
            ,
            4885
            ,
            4890
            ,
            4892
            ,
            4898
            ,
            4899
            ,
            4916
            ,
            4917
            ,
            4920
            ,
            4936
            ,
            4944
            ,
            4841
            ,
            4953
            ,
            4954
            ,
            4971
            ,
            4975
            ,
            4987
            ,
            4988
            ,
            4991
            ,
            4855
            ,
            4992
            ,
            4858
            ,
            4995
            ,
            4996
            ,
            4860
            ,
            4998
            ,
            4999
            ,
            5000
            ,
            5001
            ,
            5002
            ,
            5003
            ,
            5005
            ,
            5016
            ,
            5029
            ,
            5030
            ,
            5032
            ,
            5033
            ,
            5034
            ,
            5036
            ,
            5065
            ,
            5073
            ,
            5074
            ,
            5077
            ,
            5078
            ,
            5091
            ,
            4920
            ,
            4511
            ,
            3486
            ,
            4554
            ,
            5008
            ,
            5012
            ,
            5013
            ,
            5018
            ,
            5024
            ,
            5031
            ,
            5035
            ,
            5076
            ,
            5081
            ,
            5087
            ,
            5095
            ,
            4951
            ,
            4946
            ,
            4990
            ,
            4997
            ,
            5011
            ,
            5028
            ,
            5080
            ,
            5089
            ,
            5099
            ,
            5101
            ,
            5102
            ,
            5103
            ,
            5104
            ,
            5108
            ,
            5110
            ,
            5115
            ,
            5116
            ,
            5117
            ,
            5118
            ,
            5124
            ,
            5125
            ,
            5134
            ,
            5135
            ,
            5109
            ,
            5137
            ,
            5138
            ,
            5151
            ,
            5152
            ,
            5154
            ,
            5155
            ,
            5127
            ,
            5129
            ,
            5156
            ,
            5131
            ,
            5132
            ,
            5133
            ,
            5157
            ,
            5158
            ,
            5136
            ,
            5159
            ,
            5160
            ,
            5161
            ,
            5166
            ,
            5167
            ,
            5170
            ,
            5180
            ,
            5183
            ,
            5186
            ,
            5207
            ,
            5208
            ,
            5211
            ,
            5212
            ,
            5213
            ,
            5216
            ,
            5222
            ,
            5164
            ,
            5165
            ,
            5224
            ,
            5225
            ,
            5229
            ,
            5173
            ,
            5233
            ,
            5234
            ,
            5235
            ,
            3483
            ,
            4559
            ,
            5214
            ,
            5221
            ,
            5239
            ,
            5240
            ,
            5128
            ,
            5179
            ,
            687
            ,
            3470
            ,
            4774
            ,
            4775
            ,
            4891
            ,
            4919
            ,
            5027
            ,
            5226
            ,
            5252
            ,
            5253
            ,
            5261
            ,
            5264
            ,
            5265
            ,
            5271
            ,
            5274
            ,
            5275
            ,
            5257
            ,
            5258
            ,
            5259
            ,
            5262
            ,
            5308
            ,
            5309
            ,
            5312
            ,
            5313
            ,
            5314
            ,
            5324
            ,
            5326
            ,
            5328
            ,
            5284
            ,
            5285
            ,
            5350
            ,
            5351
            ,
            5315
            ,
            5362
            ,
            5363
            ,
            5364
            ,
            5370
            ,
            5327
            ,
            5376
            ,
            5384
            ,
            5385
            ,
            5390
            ,
            5391
            ,
            5392
            ,
            5396
            ,
            5398
            ,
            5399
            ,
            5402
            ,
            5405
            ,
            5407
            ,
            5365
            ,
            5366
            ,
            5369
            ,
            5378
            ,
            5386
            ,
            5276
            ,
            4086
            ,
            4803
            ,
            5403
            ,
            5360
            ,
            5377
            ,
            5381
            ,
            5406
            ,
            5411
            ,
            5412
            ,
            5413
            ,
            5414
            ,
            5415
            ,
            5442
            ,
            5443
            ,
            5449
            ,
            5512
            ,
            5515
            ,
            5456
            ,
            5457
            ,
            5463
            ,
            5567
            ,
            5465
            ,
            5514
            ,
            5565
            ,
            5568
            ,
            5596
            ,
            5615
            ,
            5616
            ,
            5648
            ,
            5620
            ,
            5641
            ,
            5653
            ,
            5654
            ,
            5655
            ,
            5657
            ,
            5659
            ,
            5696
            ,
            5738
            ,
            5729
            ,
            5831
            ,
            5841
            ,
            5930
            ,
            6081
            ,
            6085
            ,
            6093
            ,
            6098
            ,
            6105
            ,
            6103
            ,
            6106
            ,
            6112
            ,
            6113
            ,
            5113
            ,
            5447
            ,
            6115
            ,
            6118
            ,
            6129
            ,
            6136
            ,
            6150
            ,
            6151
            ,
            6145
            ,
            6146
            ,
            6161
            ,
            6177
            ,
            6159
            ,
            6178
            ,
            6179
            ,
            6180
            ,
            6184
            ,
            6190
            ,
            6185
            ,
            6189
            ,
            6195
            ,
            6192
            ,
            6198
            ,
            6201
            ,
            6202
            ,
            6203
            ,
            6204
            ,
            6213
            ,
            6223
            ,
            6231
            ,
            6226
            ,
            6233
            ,
            6238
            ,
            6312
            ,
            6243
            ,
            6247
            ,
            6316
            ,
            3609
            ,
            4952
            ,
            4795
            ,
            5455
            ,
            6333
            ,
            6366
            ,
            6153
            ,
            6467
            ,
            6469
            ,
            6327
            ,
            6329
            ,
            6540
            ,
            6331
            ,
            6403
            ,
            6466
            ,
            6468
            ,
            6537
            ,
            6538
            ,
            6644
            ,
            6603
            ,
            6658
            ,
            6665
            ,
            6639
            ,
            6668
            ,
            6694
            ,
            6641
            ,
            6645
            ,
            6657
            ,
            6659
            ,
            6666
            ,
            6724
            ,
            6699
            ,
            6710
            ,
            6717
            ,
            6718
            ,
            6721
            ,
            6736
            ,
            6200
            ,
            5088
            ,
            5149
            ,
            6328
            ,
            6643
            ,
            6716
            ,
            6781
            ,
            6807
            ,
            6744
            ,
            6745
            ,
            6747
            ,
            6822
            ,
            6748
            ,
            6754
            ,
            6826
            ,
            6769
            ,
            6766
            ,
            6776
            ,
            6792
            ,
            6804
            ,
            7078
            ,
            6806
            ,
            6818
            ,
            6821
            ,
            7079
            ,
            7101
            ,
            7103
            ,
            7108
            ,
            7109
            ,
            7111
            ,
            7217
            ,
            7377
            ,
            7418
            ,
            7470
            ,
            7347
            ,
            7348
            ,
            7420
            ,
            7660
            ,
            7661
            ,
            7663
            ,
            7640
            ,
            7647
            ,
            7651
            ,
            7652
            ,
            7664
            ,
            7706
            ,
            7708
            ,
            7100
            ,
            5266
            ,
            6102
            ,
            6835
            ,
            7658
            ,
            7713
            ,
            7717
            ,
            7877
            ,
            7887
            ,
            7879
            ,
            7895
            ,
            7900
            ,
            7912
            ,
            7882
            ,
            7915
            ,
            7894
            ,
            7926
            ,
            7929
            ,
            7941
            ,
            7911
            ,
            7914
            ,
            7954
            ,
            7955
            ,
            7966
            ,
            7970
            ,
            7971
            ,
            7973
            ,
            7975
            ,
            7977
            ,
            8288
            ,
            8289
            ,
            7959
            ,
            7960
            ,
            7962
            ,
            7963
            ,
            7964
            ,
            8118
            ,
            8135
            ,
            8283
            ,
            8294
            ,
            7956
            ,
            6812
            ,
            6837
            ,
            8309
            ,
            8351
            ,
            8354
            ,
            8369
            ,
            8460
            ,
            8462
            ,
            8463
            ,
            7909
            ,
            8362
            ,
            8363
            ,
            8364
            ,
            8412
            ,
            8477
            ,
            8464
            ,
            8497
            ,
            8511
            ,
            8471
            ,
            8566
            ,
            8567
            ,
            8474
            ,
            8603
            ,
            8479
            ,
            8516
            ,
            8558
            ,
            8570
            ,
            8587
            ,
            8610
            ,
            8615
            ,
            597
            ,
            3469
            ,
            8472
            ,
            8661
            ,
            8665
            ,
            8678
            ,
            8706
            ,
            8710
            ,
            8720
            ,
            8794
            ,
            8795
            ,
            8831
            ,
            8833
            ,
            8835
            ,
            7641
            ,
            8842
            ,
            8848
            ,
            8849
            ,
            8355
            ,
            8408
            ,
            8894
            ,
            8473
            ,
            8621
            ,
            8649
            ,
            8659
            ,
            8660
            ,
            8672
            ,
            8679
            ,
            8746
            ,
            8751
            ,
            8844
            ,
            8875
            ,
            8878
            ,
            8884
            ,
            8890
            ,
            8893
            ,
            8895
            ,
            8898
            ,
            8557
            ,
            8796
            ,
            8981
            ,
            8985
            ,
            8997
            ,
            9002
            ,
            9008
            ,
            7102
            ,
            9245
            ,
            7878
            ,
            8470
            ,
            8478
            ,
            9279
            ,
            9248
            ,
            9281
            ,
            8877
            ,
            8974
            ,
            8976
            ,
            8987
            ,
            8993
            ,
            9006
            ,
            9007
            ,
            9014
            ,
            9017
            ,
            9024
            ,
            9036
            ,
            9039
            ,
            9040
            ,
            9060
            ,
            9064
            ,
            9069
            ,
            9070
            ,
            9128
            ,
            9234
            ,
            9303
            ,
            9359
            ,
            7921
            ,
            7922
            ,
            8563
            ,
            8847
            ,
            9293
            ,
            9294
            ,
            9494
            ,
            9498
            ,
            9504
            ,
            9544
            ,
            9546
            ,
            9555
            ,
            9556
            ,
            9559
            ,
            9564
            ,
            9568
            ,
            9566
            ,
            9586
            ,
            9587
            ,
            9599
            ,
            9616
            ,
            9621
            ,
            9684
            ,
            9720
            ,
            9745
            ,
            9769
            ,
            9787
            ,
            9794
            ,
            9823
            ,
            9857
            ,
            9864
            ,
            9865
            ,
            9894
            ,
            9900
            ,
            9901
            ,
            10135
            ,
            10137
            ,
            10140
            ,
            10159
            ,
            8468
            ,
            8798
            ,
            9230
            ,
            10136
            ,
            10179
            ,
            10196
            ,
            10203
            ,
            10214
            ,
            10218
            ,
            10238
            ,
            10240
            ,
            10243
            ,
            10235
            ,
            10260
            ,
            10263
            ,
            10278
            ,
            10280
            ,
            10272
            ,
            10284
            ,
            10291
            ,
            10298
            ,
            10320
            ,
            10344
            ,
            10496
            ,
            7105
            ,
            7889
            ,
            10756
            ,
            10760
            ,
            10762
            ,
            10786
            ,
            10787
            ,
            10783
            ,
            10803
            ,
            10816
            ,
            10828
            ,
            10836
            ,
            10866
            ,
            10890
            ,
            11014
            ,
            11015
            ,
            11016
            ,
            11047
            ,
            11087
            ,
            11211
            ,
            11272
            ,
            11341
            ,
            11382
            ,
            11444
            ,
            11511
            ,
            11525
            ,
            11583
            ,
            11611
            ,
            11673
            ,
            11912
            ,
            11916
            ,
            11980
            ,
            12039
            ,
            12033
            ,
            12037
            ,
            12040
            ,
            12043
            ,
            12045
            ,
            10290
            ,
            11927
            ,
            12046
            ,
            12170
            ,
            12236
            ,
            12237
            ,
            12309
            ,
            12310
            ,
            12311
            ,
            12338
            ,
            12339
            ,
            12341
            ,
            12371
            ,
            12383
            ,
            12446
            ,
            12449
            ,
            12527
            ,
            12566
            ,
            12574
            ,
            12611
            ,
            12665
            ,
            6660
            ,
            10823
            ,
            10830
            ,
            12041
            ,
            12044
            ,
            12525
            ,
            12711
            ,
            12712
            ,
            12713
            ,
            12714
            ,
            12717
            ,
            12734
            ,
            12795
            ,
            12858
            ,
            12861
            ,
            12864
            ,
            12873
            ,
            12883
            ,
            12911
            ,
            12946
            ,
            13001
            ,
            13009
            ,
            13204
            ,
            13296
            ,
            13300
            ,
            13307
            ,
            13301
            ,
            13337
            ,
            13334
            ,
            13335
            ,
            13361
            ,
            13375
            ,
            13376
            ,
            13380
            ,
            13381
            ,
            13395
            ,
            13407
            ,
            13416
            ,
            13418
            ,
            13441
            ,
            13452
            ,
            13521
            ,
            13524
            ,
            13525
            ,
            13535
            ,
            13546
            ,
            13554
            ,
            13604
            ,
            13605
            ,
            13606
            ,
            13583
            ,
            13584
            ,
            13585
            ,
            13596
            ,
            13601
            ,
            13603
            ,
            13614
            ,
            13627
            ,
            13639
            ,
            13716
            ,
            13728
            ,
            13729
            ,
            13741
            ,
            13743
            ,
            13791
            ,
            13793
            ,
            13797
            ,
            13800
            ,
            13808
            ,
            13813
            ,
            13815
            ,
            13830
            ,
            10294
            ,
            13818
            ,
            13841
            ,
            13891
            ,
            13889
            ,
            13905
            ,
            13912
            ,
            13915
            ,
            13917
            ,
            13918
            ,
            13929
            ,
            13930
            ,
            13938
            ,
            13984
            ,
            13988
            ,
            14001
            ,
            14002
            ,
            14006
            ,
            14076
            ,
            14109
            ,
            14143
            ,
            14144
            ,
            14145
            ,
            14234
            ,
            14248
            ,
            14251
            ,
            14253
            ,
            14256
            ,
            14265
            ,
            14277
            ,
            14278
            ,
            14309
            ,
            14335
            ,
            14341
            ,
            14357
            ,
            14358
            ,
            14383
            ,
            14394
            ,
            14395
            ,
            13819
            ,
            13888
            ,
            14255
            ,
            14330
            ,
            14400
            ,
            14499
            ,
            14513
            ,
            14525
            ,
            14659
            ,
            14662
            ,
            14682
            ,
            14686
            ,
            14695
            ,
            14699
            ,
            14704
            ,
            14705
            ,
            14713
            ,
            14715
            ,
            14767
            ,
            14833
            ,
            14834
            ,
            14840
            ,
            14922
            ,
            14944
            ,
            14953
            ,
            14978
            ,
            14986
            ,
            14990
            ,
            14993
            ,
            15021
            ,
            15023
            ,
            15026
            ,
            15041
            ,
            15066
            ,
            15071
            ,
            15090
            ,
            15068
            ,
            15125
            ,
            15145
            ,
            15151
            ,
            15157
            ,
            15212
            ,
            15230
            ,
            15231
            ,
            15264
            ,
            15266
            ,
            15284
            ,
            15325
            ,
            15328
            ,
            15330
            ,
            15342
            ,
            15343
            ,
            15386
            ,
            15393
            ,
            15436
            ,
            15437
            ,
            15489
            ,
            15490
            ,
            15493
            ,
            15496
            ,
            15498
            ,
            15501
            ,
            15533
            ,
            15562
            ,
            15564
            ,
            15566
            ,
            8361
            ,
            8384
            ,
            8676
            ,
            13970
            ,
            13985
            ,
            14951
            ,
            15233
            ,
            15488
            ,
            15502
            ,
            15631
            ,
            15632
            ,
            15694
            ,
            15707
            ,
            15718
            ,
            15720
            ,
            15724
            ,
            15763
            ,
            15766
            ,
            15848
            ,
            15889
            ,
            15971
            ,
            15972
            ,
            16085
            ,
            16240
            ,
            16263
            ,
            16264
            ,
            16266
            ,
            16297
            ,
            16374
            ,
            16390
            ,
            16412
            ,
            16414
            ,
            16416
            ,
            16418
            ,
            16455
            ,
            16329
            ,
            16489
            ,
            16503
            ,
            16504
            ,
            16535
            ,
            13935
            ,
            16507
            ,
            16561
            ,
            16597
            ,
            16600
            ,
            16602
            ,
            16615
            ,
            16619
            ,
            16641
            ,
            16658
            ,
            16667
            ,
            16675
            ,
            16695
            ,
            16697
            ,
            16700
            ,
            16722
            ,
            16725
            ,
            16738
            ,
            16739
            ,
            16740
            ,
            16770
            ,
            16771
            ,
            16772
            ,
            16802
            ,
            16864
            ,
            16870
            ,
            16877
            ,
            16961
            ,
            16966
            ,
            16995
            ,
            17002
            ,
            17027
            ,
            16977
            ,
            16859
            ,
            16819
            ,
            17028
            ,
            16720
            ,
            16732
            ,
            16871
            ,
            17069
            ,
            17051
            ,
            17044
            ,
            17042
            ,
            17057
            ,
            17087
            ,
            17112
            ,
            17114
            ,
            17115
            ,
            17118
            ,
            17124
            ,
            17136
            ,
            17174
            ,
            17137
            ,
            17176
            ,
            17187
            ,
            17219
            ,
            17222
            ,
            17238
            ,
            17250
            ,
            17278
            ,
            17323
            ,
            17327
            ,
            17329
            ,
            17328
            ,
            17386
            ,
            17418
            ,
            17423
            ,
            17455
            ,
            17456
            ,
            17463
            ,
            17466
            ,
            17475
            ,
            17477
            ,
            17481
            ,
            17485
            ,
            17487
            ,
            17505
            ,
            17512
            ,
            17510
            ,
            12583
            ,
            16635
            ,
            16696
            ,
            17479
            ,
            17484
            ,
            17506
            ,
            17550
            ,
            17553
            ,
            17555
            ,
            17556
            ,
            17557
            ,
            17558
            ,
            17563
            ,
            17564
            ,
            17566
            ,
            17589
            ,
            17597
            ,
            17624
            ,
            17630
            ,
            17651
            ,
            17660
            ,
            17671
            ,
            17713
            ,
            17727
            ,
            17728
            ,
            17757
            ,
            17779
            ,
            17781
            ,
            17788
            ,
            17806
            ,
            17845
            ,
            17850
            ,
            17854
            ,
            17877
            ,
            17894
            ,
            17931
            ,
            17939
            ,
            17980
            ,
            16957
            ,
            17464
            ,
            17493
            ,
            17787
            ,
            17814
            ,
            17989
            ,
            18021
            ,
            18029
            ,
            18032
            ,
            18100
            ,
            18101
            ,
            18148
            ,
            18151
            ,
            18158
            ,
            18169
            ,
            18212
            ,
            18214
            ,
            18230
            ,
            18249
            ,
            18250
            ,
            18257
            ,
            18279
            ,
            18280
            ,
            18293
            ,
            18295
            ,
            18301
            ,
            18312
            ,
            18317
            ,
            18337
            ,
            18348
            ,
            18377
            ,
            18383
            ,
            18392
            ,
            18414
            ,
            18417
            ,
            18418
            ,
            18433
            ,
            18541
            ,
            18549
            ,
            18654
            ,
            18711
            ,
            18771
            ,
            18772
            ,
            18778
            ,
            18963
            ,
            18966
            ,
            19031
            ,
            19042
            ,
            16475
            ,
            17324
            ,
            17503
            ,
            18198
            ,
            18208
            ,
            18209
            ,
            19084
            ,
            19262
            ,
            19378
            ,
            19420
            ,
            19466
            ,
            19467
            ,
            19477
            ,
            19516
            ,
            19576
            ,
            19591
            ,
            19607
            ,
            19660
            ,
            19750
            ,
            19764
            ,
            19770
            ,
            19951
            ,
            19954
            ,
            20009
            ,
            20120
            ,
            20154
            ,
            20155
            ,
            19788
            ,
            20180
            ,
            20340
            ,
            20347
            ,
            20350
            ,
            20341
            ,
            20615
            ,
            20745
            ,
            20749
            ,
            20763
            ,
            17499
            ,
            22008
            ,
            21835
            ,
            21163
            ,
            17379
            ,
            21803
            ,
            22117
            ,
            20634
            ,
            21049
            ,
            21166
            ,
            21376
            ,
            21371
            ,
            21026
            ,
            21513
            ,
            21157
            ,
            21586
            ,
            21810
            ,
            21425
            ,
            21368
            ,
            19767
            ,
            20796
            ,
            21448
            ,
            20998
            ,
            21039
            ,
            21158
            ,
            22080
            ,
            20798
            ,
            21501
            ,
            21215
            ,
            21637
            ,
            22195
            ,
            22042
            ,
            21424
            ,
            21992
            ,
            21564
            ,
            21363
            ,
            20756
            ,
            21514
            ,
            21996
            ,
            22135
            ,
            19123
            ,
            20160
            ,
            21588
            ,
            21428
        ];

        return $lookup_list;
    }
private function lookup_one_two(){

        $lookup_list = [ 9414
        ,9421
        ,79
        ,127
        ,133
        ,144
        ,147
        ,148
        ,156
        ,160
        ,161
        ,163
        ,164
        ,168
        ,169
        ,177
        ,178
        ,184
        ,185
        ,186
        ,188
        ,190
        ,191
        ,192
        ,201
        ,205
        ,207
        ,209
        ,210
        ,9404
        ,216
        ,234
        ,248
        ,252
        ,255
        ,256
        ,271
        ,276
        ,279
        ,290
        ,292
        ,293
        ,294
        ,315
        ,324
        ,327
        ,330
        ,335
        ,340
        ,257
        ,346
        ,347
        ,351
        ,352
        ,353
        ,355
        ,359
        ,361
        ,370
        ,373
        ,374
        ,375
        ,376
        ,378
        ,381
        ,382
        ,383
        ,389
        ,391
        ,393
        ,394
        ,395
        ,401
        ,402
        ,404
        ,405
        ,408
        ,409
        ,410
        ,412
        ,415
        ,522
        ,523
        ,524
        ,527
        ,530
        ,536
        ,542
        ,545
        ,547
        ,557
        ,558
        ,559
        ,561
        ,562
        ,565
        ,568
        ,576
        ,577
        ,579
        ,583
        ,584
        ,585
        ,586
        ,593
        ,594
        ,595
        ,596
        ,597
        ,599
        ,600
        ,602
        ,604
        ,606
        ,608
        ,601
        ,630
        ,634
        ,635
        ,636
        ,638
        ,647
        ,648
        ,650
        ,652
        ,653
        ,655
        ,659
        ,660
        ,678
        ,618
        ,654
        ,670
        ,699
        ,700
        ,703
        ,726
        ,727
        ,730
        ,734
        ,741
        ,742
        ,745
        ,1529
        ,743
        ,3017
        ,3018
        ,3019
        ,3020
        ,3021
        ,3023
        ,3024
        ,3025
        ,3027
        ,3028
        ,3029
        ,3031
        ,3039
        ,3040
        ,3048
        ,3453
        ,3454
        ,3455
        ,3456
        ,3457
        ,3465
        ,3466
        ,3467
        ,3469
        ,3473
        ,3476
        ,3477
        ,3481
        ,3482
        ,3483
        ,3484
        ,3485
        ,3486
        ,3490
        ,3506
        ,3507
        ,3516
        ,3517
        ,3519
        ,3532
        ,3533
        ,3534
        ,3535
        ,3536
        ,3548
        ,3549
        ,3550
        ,3551
        ,3554
        ,3556
        ,3557
        ,3558
        ,3559
        ,3561
        ,3564
        ,3571
        ,3572
        ,3580
        ,3582
        ,3584
        ,3587
        ,3595
        ,3597
        ,3603
        ,3604
        ,3606
        ,3607
        ,3608
        ,3609
        ,3615
        ,4088
        ,4089
        ,4091
        ,4095
        ,4096
        ,4097
        ,4105
        ,4106
        ,4107
        ,4108
        ,4112
        ,4113
        ,4117
        ,4118
        ,4119
        ,4120
        ,4121
        ,4123
        ,4129
        ,4130
        ,4132
        ,4134
        ,4135
        ,4139
        ,4140
        ,4141
        ,4142
        ,4144
        ,4146
        ,4147
        ,4148
        ,4150
        ,4151
        ,4157
        ,4162
        ,4163
        ,4165
        ,4308
        ,4345
        ,4362
        ,4380
        ,4432
        ,4476
        ,4494
        ,4507
        ,4511
        ,4513
        ,4514
        ,4516
        ,4525
        ,4528
        ,4549
        ,4552
        ,4553
        ,4554
        ,4557
        ,4558
        ,4559
        ,4561
        ,4562
        ,4563
        ,4564
        ,4565
        ,4566
        ,4567 ];

return $lookup_list;
    }
    public function one()
    {


        if(request()->get('tab') == 1){
        $lookup_list = $this->lookup_one_one();
        } else if(request()->get('tab') == 2){
        $lookup_list = $this->lookup_one_two();
        }else{
            echo '<h2><a href="?tab=1">Tab 1</a></h2>';
            echo '<br>';
            echo '<h2><a href="?tab=2">Tab 2</a></h2>';
            echo '<br>';
            echo '<h2><a href="/look-up/one-three">Tab 3</a></h2>';
            echo '<br>';
            die;
        }

        $tab = request()->get('tab') ;

        $salesOrders = Deal::select(
            'dealSO',
            'dealEndDateTime',
            'dealCompanyName',
            'dealEmail',
            'dealPhone',
            'dealName',
            'dealShippingEmail',
            'dealShippingPhone',
            'dealCompanyId',
            'dealTaxValue',
            'dealCreditCardCharges',
            'dealShippingCharges',
            'dealChargeAmount',
            'dealId',
            'dealRef',
            'dealCompanyName'

        )
            ->latest()
            ->with(['dealItems', 'company:companyId,companyPrefix'])
            ->where('dealCompanyId', '=', 1)
            // ->whereRaw($rawQuery)
           // ->where('dealType', 'charOrEmail')
            ->whereIn('dealSO', $lookup_list)
            // ->orWhereIn('dealRef', $lookup_list)
            ->get();

        return view(
            'look-up.one',
            compact(
                'salesOrders',
                'tab'
            )
        );
    }

    public function two()
    {


        $lookup_list = [
            "brad halvorson",
            "Chalets Bernatchez",
            "Kevin Jones",
            "Jordan Chan",
            "Rob Hohmann",
            "Suzanne Duhaime",
            "Gilles Naud",
            "Pascal Beauchemin",
            "Terra Coles-Moore",
            "Rafal Dwojak",
            "140 Eileen Stubbs Ave",
            "Erin Martin c/o St. Charles Country Club",
            "P.O. Box 1574 271 Shuter Road",
            "Patrick Grenier",
            "Andre Cote",
            "Éric St-Pierre",
            "Dr. Saba 17 Willow ave",
            "Shipping Receiving",
            "LEIGH GILES",
            "Diana 88 Fulton Way",
            "Ranjeet Singh - Emburse",
            "Le collectif creatif Inc",
            "Tina Fraser",
            "KANG JEWOO",
            "Patrick Canuel",
            "FELECIA KIMBALL",
            "Caroline Wagenaar",
            "Harleen Laroia",
            "Harleen Laroia",
            "Juan L. Bolivar",
            "Caroline Yelle",
            "Jassi",
            "Heather Naysmith",
            "Marco Llanes",
            "Justin Toribio",
            "Cameron Servos",
            "Darrin Shaw",
            "Angie Bain",
            "Guillaume Bergeron",
            "Alex Tagore",
            "Riley M Krahn",
            "WC Super Storage",
            "WC Super Storage",
            "Mario",
            "Edward Peghin",
            "Stephane beaulieu",
            "Luc Darveau",
            "kim harrison",
            "Derek Fraser",
            "Hudon Jean",
            "Patrick Gibeau",
            "Nisha Varatharajan",
            "Tyler Goodison",
            "Aleksandr Tuaev",
            "Michael Pigeau",
            "Jordan",
            "Stephen Bull",
            "Brandon Mayne",
            "Manveer Grewal",
            "Kourosh dabaghian",
            "ARSENAL MEDIA INC",
            "Jeff Briggs-Stevenson",
            "Adam Saleh",
            "Karine Breton",
            "Antoine Mercier",
            "Ward Heape",
            " ",
            "Tom MacNeil",
            "Nicholas Scheurkogel",
            "Mathieu Noel",
            "Twan Peeters",
            "Twan Peeters",
            "Matt Joly",
            "Mathieu Vachon",
            "Simon-Pierre Jean",
            "Gorisse Marie-Laure",
            "Cascades Papier Kingsey Falls",
            "bill brander",
            "Hugo Desmeules",
            "Nancy Savard",
            "Yves Rathe",
            "Abiodun ibitowa",
            "Levi Goertz",
            "reception",
            "grant gibson",
            "Ernest Hawkes",
            "Bernard Klatt",
            "Bernard Klatt",
            "Jory Chometsky",
            "Michael Adams",
            "Marc Granger",
            "Annie Brunelle",
            "Jordan Doucette",
            "Jay Burgess",
            "Trevor Justason",
            "Jino Papineau",
            "Stephanie Rocheleau",
            "Marc-Antoine Aubry",
            "Avillia Developments Ltd.",
            "James Reid",
            "Aliaksei Yeusiukou",
            "Yann P",
            "Jason.m.r kirk",
            "Luc",
            "Jacqueline ouellette",
            "Steven Heine",
            "Lamajeure (att: Technique)",
            "Nicholas Heathcliff",
            "Jesse-lea weichenthal",
            "Hai Huang",
            "Shahed Kamal - POPO#20221207",
            "Rajwinder kaur",
            "Errylson Oledan",
            "Geoff rey Conrad",
            "Oscar Lee",
            "Joan Johnson",
            "Jamie Lageman",
            "Roya Ahadi",
            "Jaymes Ellsworth",
            "Taniya Kajla",
            "ROGER WATERHOUSE",
            "Gin Hing Yee",
            "Erik Nyback",
            "Cecilia Bernabe",
            "Michael Mindzak",
            "Alexander Ludlow",
            "luc dionne",
            "George Christoforou",
            "Rafael Herrera",
            "MIRCEA IONESCU",
            "David MacKinnon",
            "Juergen Severloh",
            "Coralie Trepanier",
            "Sybil Hotz",
            "Mieczyslaw Burdzy",
            "Bossé Serge",
            "Kevin Mcguirk",
            "Mandeep Jhattu (Organon Canada)",
            "JoAnn Gilbert",
            "Curtis Freeman",
            "Jared Keagan L'pree Chamney",
            "Carolina Peres Annarumma",
            "milos dunjic",
            "Cole Weatherston",
            "Karl Mertn",
            "Igor Sryeznikov",
            "Connor Flaherty",
            "Alain.m rouleau",
            "Ronnie Beardy",
            "Babin lucie",
            "Jayme Miller / UFA",
            "RICHARD KHANH MANH NGUYEN",
            "Robert Lo",
            "Scott Daza",
            "Paul Epp",
            "Trushna Trivedi",
            "Jean-Luc Navert",
            "Shelley Seguin",
            "Guy Brouillard",
            "KENNETH KO",
            "EDP Automotive Service",
            "Jaroslaw Lis",
            "Veritas Laser Vision Correction",
            "Mackenzie Johnston",
            "Michelle Simmons",
            "Laura White",
            "HV Logic Ltd",
            "Shyam Sunder Reddy Kallu",
            "Kennedy",
            "Julie Rousseau",
            "Julie Rousseau",
            "JENNIFER FOURNIER",
            "frederic cote",
            "Vanessa Catherine Murphy Jia",
            "Ian Kendrick",
            "Ferhat Dal",
            "Maxime Arsenault",
            "George Bucci",
            "Christine Van Lochem",
            "Reeta Reeta",
            "Brandon Woods",
            "Erwan Palanque",
            "Sarah Grunert",
            "Ernest Gross",
            "Matthew Leite",
            "Fred Pound",
            "Sunghee Lee",
            "Ajuma Enejog Usman Aku",
            "Ashley liang",
            "Evet Helou",
            "Carolyn Bisignano",
            "Paul Knox",
            "Jeanne Young",
            "Trevor Nettleton",
            "Danielle Fehr",
            "Gabriel Houle",
            "Jacques Aubry",
            "Charlene Brown",
            "Alphonse M Enriquez",
            "IT Department - Atn: Roy Beck - POAKA-",
            "Sharon Mary Stanly",
            "Marien andre",
            "bob kenney",
            "Alex Altman",
            "Douglas A Clark",
            "Assia Kassid",
            "Bev MacLeod",
            "Francis Beauchemin",
            "Caleb Buxton",
            "Andre LeBlanc",
            "Alain Chretien",
            "Jennifer Wareham",
            "Nathalie Roussin",
            "Henrik Lissner",
            "Vyacheslav Kotok",
            "Serge Canty",
            "Aidee Oceguera",
            "Ryan Downing",
            "ROGER WATERHOUSE",
            "Gabriella Drummond",
            "Joosung Kang",
            "Mary McMains",
            "Scott and Amanda Campbell",
            "KANGHWA LEE",
            "justin dickie",
            "Brian Zubach (JK)",
            "Casey Lanxon-Whitford",
            "Mamdouh Chababi",
            "Patrick Joseph",
            "Domenico Barbiero",
            "Stephanie Toomey",
            "Heather Bergin",
            "Andrew G Kuhl",
            "Lisa Domanski",
            "Dawn Hodgson",
            "Susan Chance",
            "Dominique Tremblay",
            "CHRIS K GRANT",
            "Laura Ouellette",
            "Martijn Terlouw (KNM)",
            "Jamison and Olivia Ward",
            "Robert Millette",
            "Nicole Delorme",
            "Jaime Ruiz",
            "AMT moulage inc.",
            "Brody Eric Picotte",
            "Anton Degnera",
            "Michael Thomas",
            "Technologies 3dverse inc",
            "Geoff Best",
            "6TEM TI - PO13922",
            "NEETIN GHAISAS",
            "Glenn Heff ord",
            "Soonil Hong",
            "Pascal Prado",
            "Mark Finningley",
            "Amar Pamma",
            "Trevor Yakel",
            "Caroline kaus",
            "Mandy Dunphy",
            "David Minville",
            "Distribution RSJO Inc",
            "Amanda Carr",
            "Botho Wimmer",
            "Xavier Garneau",
            "simon robillard",
            "Boris Wong",
            "Romans Kokurins",
            "Carlo Martellacci",
            "Fatima Khales",
            "Franchette",
            "Gladyss Gozar",
            "Lillian Cozac",
            "Francois Goulet",
            "Luciano Lombardi",
            "Aedifi ca / Support-it",
            "CasCom - POFSCC - PO to follow",
            "CSSDGS STI",
            "Garion Olfert - POPO-SWIFT-2263",
            "Allen Iverson",
            "John Fleming",
            "Matthew Henshaw",
            "Art Vandermeer",
            "Alexander Ludlow",
            "Jaymes Ellsworth",
            "Rob Clavering",
            "CUISSS de l'Estrie",
            "Penny Connolly",
            "Michelle Williams",
            "Christine Sluggett",
            "Branson L MacRae",
            "Melanie Langlais",
            "Zach Margeson",
            "Jordan Kluthe",
            "Sylvain Duchesne",
            "Kristina Gjini",
            "Mehmet Danis",
            "Jamie Coker",
            "Himanshu P",
            "Robert W Hunt",
            "Yvon Lacombe",
            "Jonathan Coppin",
            "Our Lady of Peace CS (Robert Goles)",
            "Pascal Dubois",
            "Chris Veira / Farrah Carrim",
            "Samson, Mike",
            "IT Department",
            "Millwork Innovations 3 - PO16657",
            "Joe Bradford",
            "Ritchie Hui",
            "David Schriver",
            "Yuriy Gurba",
            "Jerome Lecomte",
            "Karmjit Singh Saini",
            "Naba Adhikari",
            "Josh Prins",
            "Ammar Hajhasan",
            "Perry Bennett",
            "paul Branco",
            "Randy Zukewich",
            "Tech-Nic Réseau Conseil inc.",
            "Kathleen Thibeault",
            "Pascal Marois",
            "Philip Woolf - POPO11810",
            "JingZeng Xie",
            "Support TI QC",
            "Kaitlyn Doucette",
            "Janet Rickaby",
            "Jason Hugh",
            "ChuYu Ruan",
            "Jason Prokosch",
            "Laura Lorentz",
            "Michael Whiticar",
            "Daniel Denis",
            "Kevin Messervey",
            "Kate Mooibroek",
            "PANOLITE - POAMZ-230213",
            "Gordon Williams",
            "Rachel Joseph",
            "marcel blanchette",
            "MARCEL DOWNING",
            "Rafael Telles",
            "Patrick Roberts",
            "Stacey Hodorek",
            "B DeBrincat / M Farquhar / Intergalactic Agency",
            "Christoph Hutter",
            "Chuba Emegokwue",
            "Douglas Pettigrew",
            "Juliet Cook",
            "Brenda Searight",
            "Jeff Chown",
            "Véronique Piché",
            "STM",
            "Mohamed Aymen Bahri",
            "Poula Basaly",
            "Nicolas Schulman",
            "Hope Tohme",
            "Krystiane st-onge",
            "Trevor Kray",
            "Firas Kanan",
            "eric boucher",
            "Richard Crouch",
            "Lynden International Logistics",
            "Carolyne Menard",
            "Jonathan Lavoie",
            "Sundeep Singh",
            "Northwind Ltd. (GTC - Inuvik)",
            "Jessica McDougall",
            "Brad Coish",
            "Linda Atkins",
            "Francois Morin",
            "Sean A Gill",
            "Sheldon Miller - POcn1b34388",
            "Remon Eers",
            "Neetu Bhatia",
            "Jordan Ambrosi",
            "Lucas Russell",
            "Bruce Olivier",
            "Iftikhar Pasha",
            "Julia Cheng",
            "Alaa Mouti",
            "SUSHIL PAWAR",
            "Connie Fergusson",
            "Dominic Cote",
            "Ian Todd",
            "Aiden Zaretski",
            "Greg",
            "RBR Ltd. - PO24263",
            "Michael Fregonese",
            "Ann Marie Cowan",
            "Eddie Pearson",
            "Alexis Von Mende",
            "Anthony Mansour",
            "CM-Labs Simulations Inc.",
            "Dan Schlichte",
            "Luc Nicol",
            "Athena Watters - Regional Water Management",
            "Karam",
            "Mark Godfrey",
            "Cait Bermuhler",
            "Matthew Nicolas",
            "Réal Denis",
            "Thermon Canada",
            "Robin Aumond",
            "Jean-maxime Brabant",
            "Adam Sefl er",
            "Rhita Bounsir",
            "Andrew Kay",
            "Bruno Goulet",
            "Caleb Thomson",
            "Maycon Hudson Menezes",
            "Qinyu Hu",
            "Michel Houde",
            "Debco - Eli Spetgang - PO9612",
            "Minh Nguyen Hoang Bao",
            "Garth Grunerud",
            "Reuben Casimong",
            "Chris Hakes",
            "Dominic Perrier",
            "Shelley Quast",
            "Agence carbure - POSalle conférence",
            "Lindsay Zarowny",
            "Shanaz Shek Mohammad",
            "Christine Gosson",
            "Reza Bordbar",
            "Jennifer Hanterman",
            "Flightpath",
            "G",
            "Roger Morgan",
            "Martin Auclair",
            "Samantha White",
            "Cody Chisholm",
            "Albert Chan",
            "Timothy Lai",
            "René Coignaud",
            "Charlene Landicho",
            "Robyn Macdonald",
            "Jeremy Joff roy",
            "Rebekah Price",
            "Antoney Furtado",
            "Rejean Paul",
            "Maxime Guerin",
            "Vivek bhatia",
            "Duane Duchesne",
            "Patrick Na",
            "Alan Stewart",
            "Strongest Families Institute",
            "Infrastructures/Ville de St-Jean-sur-Richelieu",
            "Strongest Families Institute",
            "Glenn Holmes",
            "Matthew J Aceto",
            "Michel Moisan",
            "Aris Zakinthinos",
            "Sébastien Gariépy",
            "Jabr Abdu",
            "Kyle Bershatsky",
            "Simon Dupont-Blais",
            "Vivek Dabas",
            "MARCEL DOWNING",
            "Ishawn",
            "The District of Sparwood",
            "Maria Dsouza",
            "JESSICA TAM",
            "Sean Hutchinson",
            "Omar Rayyan",
            "Julie Robitaille",
            "JESSICA TAM",
            "Tammy Toni",
            "Denina Gemoli",
            "Denina Gemoli",
            "Bobby Maharaj",
            "Simon lam",
            "Mirela Ubovic",
            "Preeti Pillai",
            "Jim Jankovich",
            "VueReal Inc",
            "Derrick J Charbonneau",
            "Martin Simard",
            "Christophe Paradis",
            "Laura Vega - PONew Starts 2023",
            "AMT moulage inc.",
            "Shawn Giles",
            "IT Manager",
            "Gaston Desjardins",
            "Gabriela Unate de Rojas - POTim Veenstra",
            "Pierre-Luc",
            "Anthony Fournier",
            "ARCH HIV/AIDS RESOURCES & COMMUNITYHEALTH",
            "Averey Meloche",
            "Karen Morrow",
            "Haley Turner",
            "Giorgio & Stephanie Prete",
            "Roy, France",
            "Shelley Scott - PO125260",
            "Muhammad Bilal - PO8200816824",
            "Solotech Inc - POPO-CA000073049",
            "Nitin mohan, Ontario Drive & Gear Ltd",
            "Ebrahim Aslani",
            "Andrew Kay",
            "karen coughlin",
            "Aubrey sztern",
            "Danny Dubois",
            "Paul Gill",
            "Danny Dubois",
            "Dianne Bray",
            "Bonnie Jean Marriott",
            "Groupe css - POFb",
            "Daniel Cerqueira",
            "Sean Best",
            "Sault Ste. Marie CACC",
            "Lei Zhang",
            "Christopher Doody",
            "Janet Hunter",
            "Sophie Boudreau",
            "Elissa Balfour",
            "Rachel Belanger",
            "London Public Library",
            "Ilan Moncaleano",
            "Suzanne Couillard",
            "Douglas Farinas",
            "Samuel Charette",
            "Raymond Cormier",
            "siham noussir",
            "Francois Laurin",
            "Tricia Simpson",
            "Informatique Notarius",
            "Paulo Rezende - POVF.20230404.IT",
            "Susan Klatt",
            "D R Technologies",
            "Sandra Carlino",
            "Keely Dobranski",
            "Umano Medical",
            "Jolene Rommelaere",
            "Blair Deault - PO2017-C-007982",
            "Jade Chretien",
            "Spectralite - Pascal Gauthier",
            "T B",
            "Seonhee Gwon",
            "Barb Hatch",
            "Christian Desrochers",
            "Brenda Cassidy",
            "Lana Achtymichuk",
            "Eric Arnaud (Machtech)",
            "Elisabeth Poppe",
            "Jimmy Tremblay",
            "Martine St-Onge",
            "Corinne Ferragne",
            "Jennifer Blancher - PON5C2T4",
            "Matthew Ettrick, Samsung Electronics Canada -",
            "Emily Tran",
            "Matthew Schinkel",
            "Katia Cusson Bertrand",
            "Anwar Singh",
            "Cameron Hutchcroft",
            "Nathalie Fournier",
            "Marathon Equipment",
            "Nancy Lefebvre",
            "Boivin, Rémy",
            "Sébastien Parent",
            "ventureLAB Innovation Centre - POHCI/admin",
            "Leila Bahmed",
            "Mario Tremblay",
            "Solange Daigle",
            "Johnatan frechette-sabourin",
            "Jenna Frehlick",
            "ABID MALIK",
            "Pam Killin",
            "Aneta Gauthier",
            "Sylvain Théorêt",
            "Kyle Shakya",
            "Wanda Birt",
            "mike parr",
            "Akshay Chadha",
            "Jaouad Darif",
            "Co-op Cabs",
            "Ivana Jovicic",
            "Ag Services",
            "Simon Perras",
            "Sylvain Theoret",
            "Simon Budsteward",
            "Megan Schroeder",
            "Scott Bootsveld",
            "Francis Blanchette",
            "John Brown",
            "Marguerite Glassford",
            "Central Stores - PO2251895",
            "Khanjan Matalia - PO0106",
            "Jean-Charles Mathieu",
            "Alyssa Perkins",
            "Michelle Chung",
            "Jasmin Morin",
            "Adam Carleton",
            "Axe construction - POBureau",
            "khemraj gharbarran",
            "Elgin C Muirhead",
            "Tousignant Éric",
            "Shashawna Pozdnikoff",
            "Iuliana Gheorghe",
            "Carl thibeault",
            "Philippe Bélanger - Internet Saguenay",
            "Jui Lin (Ray) Hsieh",
            "Samuel Charette",
            "Fred Dubuc",
            "Genifab Consultant",
            "Jean-Félix Ouellet",
            "Loretta Thiering",
            "Frank Csik",
            "Colin Meikle",
            "Made by Gather / Sensio Inc.",
            "Isabelle Hainault",
            "Toromont CAT",
            "Olamide Orekoya",
            "Andrew Myers",
            "Sylvie Drolet",
            "Cary Kogan",
            "Keiran O'Haire",
            "Bonita Lee",
            "Kristy Lunzmann",
            "Bart Wojciechowski",
            "King Roque Aranas",
            "DENIS BERUBE",
            "Pierce Thiessen",
            "Éclat Audiovisuel - Étienne Vauzelle",
            "Yannick Racicot",
            "Jean-Francois Provencher Beaupré -",
            "Stevland Ambrose",
            "HUI JASON CHAO - PO2023 05 17 HUI JASONCHAO",
            "Indigenous Justice Center (PG) ATTN: Jeff /Steph -",
            "Ricardo Tontodonati",
            "Julie Poisson",
            "Luc Benoit",
            "Ministry of Education (Chelsea Wegman)",
            "Twila Pigford",
            "Dana M Pedersen",
            "Jonathan D Poupart",
            "Adam Orser",
            "Kendra Riel",
            "YIFEI WANG",
            "Ayodele Ajomo",
            "Marcel wery",
            "Marius Rzucidlo",
            "Luc Noel",
            "Luc Noel",
            "Todd Showalter",
            "Helene Baribeault",
            "Hyuna Loy",
            "Washiul Hoque Sheikh",
            "Liz Baker",
            "Canada Border ServicesAgency",
            "Robert Fortier",
            "Julie Fan",
            "Racine Chevrolet Buick GMCltee",
            "Christine Henriksen",
            "ERICBUJOLD",
            "Archos EngineeringConsultants",
            "Soo Hyun Kwon",
            "Bari Sheppard",
            "Michelle Ouimet",
            "Jennifer Tran",
            "Beaudoin Nicholas",
            "Nick Reich",
            "Kim Sifft",
            "Sandra Rocha",
            "Global Broadband",
            "John Carey",
            "krista dunlop",
            "Jessica Raymond",
            "Nancy Gee",
            "Cyrill Jam Molina",
            "Nequita FinchPOStmPP",
            "Sylvie Beauchamp",
            "Amanda Joss",
            "Jake Ferrier",
            "Kevin Rallis",
            "Martin Ruel - PO2023-0159",
            "Ceu Jesus",
            "Robert Dingle",
            "Laurent Vassard",
            "DUNCAN S MACKAY",
            "Liwei Qu",
            "Judy Boivin",
            "Robert Dingle",
            "James Mackenzie",
            "Jenny Poon",
            "Jaeseung Baek",
            "LMG Finance",
            "Omar Allan",
            "Greg D. Erickson",
            "EVAPCO SYSTEMS LMP",
            "Cathelene MacLeod",
            "Jason Bodenheimer",
            "Mara Technologies Inc",
            "RUSSELL / NICK",
            "Rodney D Smith",
            "Sylvie Leger",
            "PCARD - Russell Flanagan",
            "Control Tech",
            "Salim SMAIL",
            "Brian OConnor",
            "Stephen Wheaton",
            "Jeffrey Rooyakkers",
            "Herbert Kornhuber",
            "Soumyajit Tarafdar",
            "Jan Courtepatte",
            "Ted Bruce - POMark Butler",
            "Carol DeBlois",
            "Geoffrey ALexander",
            "Vernon Trott",
            "Anjum Qureshi",
            "GMCC INC",
            "Tara Crone - POAJHA-IT",
            "STAS - PO630946",
            "Oscar Echeverri",
            "Neil Ross",
            "Julie Dammeier",
            "Kelly Barbor",
            "stephen clarke",
            "Yves Aube",
            "Hayley Martin",
            "Romia Grewal",
            "Red Pine Camp",
            "Communitas Supportive Care Society",
            "Andrew Lavado",
            "Simran Sandhu",
            "Shawna Facette",
            "Brandon Fuller",
            "Dawson Dental Queen street",
            "Domenic Ruffolo",
            "Armand Palombi",
            "Jennifer Gordon",
            "Auxly Cannabis Group Inc",
            "Dr. Syed Yasir Haider",
            "Cavell Chan",
            "Purchasing Department",
            "Douglas M Sanderson",
            "Milan Esguerra",
            "Plastube - POPatrick 590 rue Simonds Sud",
            "david moore",
            "Guillaume Bedard",
            "Imperial Oil Truck Terminal",
            "DAN DAVIS",
            "Subbir Arefin",
            "Gita Kiani Felavarjani",
            "Craig March",
            "Farwah Afonso",
            "Wade Johnson",
            "Ki-Bok Lee",
            "Soomy Bissoondial",
            "Kelly Michiel",
            "Nhi Nguyen",
            "Petra Fachinger",
            "Wei Liu",
            "Herbert Kornhuber",
            "Ferland Maxime",
            "Dylan Chouinard",
            "Regional DIstrict of Central Kootenay",
            "Roy Chatfield",
            "Ron Philpott",
            "ThinkMonkey Solutions",
            "Turn-Key Construction Inc",
            "BELISLE MARGUERITE",
            "Whisper Lynxleg",
            "JOSE DASILVA",
            "Santé au Travail Est",
            "Gordon Holley",
            "Buffalo Point Health",
            "Landry Bryan",
            "Dale Presly",
            "Sabrina Gallant",
            "Gabriel Leduc",
            "Melanie Ogden",
            "Prince George Fire Centre",
            "Benjamin Foster",
            "Marie-Claude Simard",
            "Crew Collective & Café",
            "Yvonne Stuckey",
            "Dave Mardell",
            "Catherine Paul-Hus",
            "Michael Tramutola",
            "Toufik Fadli",
            "Ivan Gascho",
            "Innocorps Research Corporation",
            "KPU Library",
            "Isaac Tam",
            "Holly Leman",
            "Lance Nichols",
            "Josselyn Boiron",
            "Maxime Boileau",
            "David Bousquet",
            "Harry S Rabkin",
            "Rrain Prior",
            "Paula Rowsell",
            "Canon Canada Inc",
            "WAM Interactive",
            "John Marriott",
            "Mylène Letellier",
            "michael marsland",
            "Manal Hassib",
            "Aedifica / Support-it",
            "Dennis Aberson",
            "Donald Little",
            "Nuwan Gardi",
            "Gabriel Tuzet",
            "Renee Gillingham",
            "nadir messaoudene",
            "Tori Manness-Turnbull WLRS WFCPP AEB",
            "Matthew Johnson",
            "Claude Dauphinais",
            "Derek Vos",
            "Ryan Williams",
            "New Star Rentals",
            "Maxwell Paper",
            "4502882127_RCP",
            "Abdulrahman Elswefy",
            "Stephane Lavoie",
            "Wesley Mann",
            "Sandrine Lévesque",
            "Jaskaramdeep Bains",
            "Youssef Alchaer",
            "Yolande McMillan",
            "Hychem REZZOUK",
            "Gagnon Claude",
            "Eric Maman",
            "Trilce Porras",
            "ARTHUR RAPINI",
            "candice bertie",
            "Douglas Dimen",
            "Lizbeth Rivero",
            "670 Parliament Street",
            "Shayne Hull",
            "Guillaume Aube",
            "Sharmin Islam",
            "Owen Sound Communication",
            "LAURIE GOMES",
            "Romia Grewal",
            "Naoufal Kachmouni Photon Control",
            "Paul Holden",
            "Pascal Dubois",
            "Rene Sisman",
            "Haidee Villaluna",
            "Tracie Hayward",
            "Lucullus Bakery Inc.",
            "Zachary R Brettle",
            "Tim Hooper",
            "Buyanbat Sanjaa",
            "Eugene Joy",
            "Gordon Bayne",
            "Clyde Crews",
            "Pradipta Kar",
            "Denis Larue",
            "Z Communications inc.",
            "Rajender kumar",
            "Zakaria Aleef",
            "Boulons Plus",
            "Genevieve Ethier",
            "Rolen Lovino",
            "Kyla Habberfield",
            "Belal GEGHMOR",
            "Equinox Engineering IT",
            "Shelley Baines",
            "Riley Wingert",
            "Pascal Giguere",
            "John Bernier",
            "Jason Gibeau",
            "Gord Wiens",
            "Lucie Godard",
            "Zahra Tavakoli",
            "Sofiane Benkaci",
            "Jonathan Johnson",
            "ANDREW Vranckx",
            "Lucullus Bakery Inc.",
            "John Michael Bitancor",
            "Viorica Ciocirlie",
            "Alexandre",
            "Umano Medical",
            "Venu",
            "Adhurim Osman",
            "Umano Medical",
            "Simon-Pierre Harvey",
            "Patrick Gaudreault",
            "Greg Sawkey",
            "Yuming Niu",
            "Pascal Bernard",
            "nicholas d rempel",
            "Samuel Loriault-",
            "Kowshik Ahmed",
            "Nuvation",
            "Nina Baksh",
            "Phil Tahmazian",
            "Rick Arthur",
            "Evan Newton",
            "Nicolet-Delzanno",
            "Steve Patitsas",
            "Wendy Leung",
            "Simon Gauthier",
            "Lyle L. Wahl",
            "philippe landry",
            "GOrendezvous",
            "Alipay IT",
            "vincent f. dion",
            "Michael Tramutola",
            "Austin Dodd",
            "James Koo",
            "Kevin Feltmate",
            "Scott Gillanders",
            "Bruce Strain",
            "Caleb Cooper",
            "Jr Davenport",
            "CEDRIC SINUNVAYO",
            "Ferdinand VanderVlugt",
            "Sacha Martin",
            "WILLIAM Tang",
            "EVGUENI KOUDRIAVITSKI",
            "Logan Gray",
            "Tidewater Midstream",
            "Ivo",
            "Millard Health",
            "Janet-Thunder Bay Public Library",
            "Sharon Carvalho",
            "TANIA LEPERA DILLON HALL ROOM 117",
            "Durga Raj Kumar Byrisetti",
            "Ken Nguyen",
            "Muhammad Munir",
            "Srinath",
            "Boone WUlff",
            "Jonah Sadowski",
            "Domenic Barbuto",
            "usinatech inc -",
            "Mike Pishl",
            "Brittany Hayden",
            "Muath El Hamwi",
            "Wei Zhang",
            "Christine Santos",
            "Levi Barnes",
            "Shusheng Liu",
            "Pierre-Olivier Martin",
            "Nicole Dittmer",
            "Nikolas Ristich",
            "Sofos Conseil",
            "Bruce Strain",
            "Song Ce",
            "mustafa",
            "Yuan Lyu",
            "Johnathan McCallum",
            "Mike Howie",
            "Alan Yong",
            "Mathieu tousignant",
            "Stratford, Jenny",
            "Michael Barnard",
            "William Hoag",
            "Amy Clarke",
            "Matrox Graphics Inc",
            "Jonathan Bédard",
            "Kyle Kroeker",
            "Danielly da Silva Barbosa Silva",
            "Chance banks",
            "Rémi Cantin",
            "etienne lavallee",
            "Guillevin International Co.",
            "Légaré Lucie",
            "Milena Khan",
            "Patrick Walkowski",
            "DebIt",
            "Xiang Gu",
            "Thymothee Lauzon",
            "Mark David",
            "CONFIRMED 10=OCT PENDING",
            "Mesai Phoutharath",
            "Wilf Tonsmann",
            "Jameson Van Dijk",
            "Maria Mamandras",
            "Patrick Roussel",
            "Maria Abejuro",
            "Murray Treloar",
            "Amanda Young ",
            "Donna Barr",
            "Charles Dumais",
            "Kanchana Balamuraly",
            "Jean-Francois Plante",
            "vincent ",
            "Geoff & Miranda Jarvie",
            "DUANE KLIMACK",
            "Marine Le Baron",
            "Jonathan Ossa",
            "Mark McGregor",
            "Lanre Omotayo",
            "Domenic Barbuto",
            "Olga Pereman",
            "Paul Desbiens",
            "Todd Ridpath",
            "Marco Primeau",
            "Priscilla Corcoran Mooney",
            "Irene Welch",
            "Rishi Chugh",
            "Louise Dumouchel",
            "Scott Muise",
            "Marc Benoit",
            "Mandeep Singh",
            "Richard Miller",
            "Chris MacDonald",
            "Kai McMurtry",
            "Brent Orb",
            "Haineault, Simon",
            "daniel vinet",
            "Erik Sorensen",
            "Imprimerie Transcontinental Inc.",
            "Sean Koshy ",
            "phillip chin",
            "Caroline Larocque",
            "ENIOLA ADEOYE",
            "John Malloy",
            "Kevin Cheung",
            "Jean Lippé",
            "Yves Michaud Infortmic inc",
            "John Wilkinson",
            "Diane Dominique Manga",
            "Chris MacDonald",
            "Maxime rowley",
            "Avestec Purchasing",
            "SPECIALISTE DU BARDEAU DE CEDRE",
            "Shaw Finance",
            "Philippe Rochette",
            "Modern Niagara Toronto",
            "Andrew Stephens",
            "Oval IT",
            "Julien Bilodeau",
            "Jonathan Lambert",
            "Eric Borden",
            "Zacharie Lareau",
            "Renee Duperron",
            "Robert J Smith",
            "Andrew Wong",
            "Sebastien Ruel",
            "David Garbaty",
            "Scott Baller",
            "Shaw Finance",
            "Mr.G.Tapp",
            "David Garneau",
            "Shaw Dental Lab Inc",
            "daniel gaudreault",
            "Linda Morris",
            "Zyd Quinones",
            "Timothy Peters",
            "Rachel Chandelier",
            "Gravel Stecy",
            "Danielle Tritter",
            "Luc Belanger - PO23-295",
            "Sherif Mikhail",
            "Frédérique Boulet",
            "Frederic Imbeault",
            "Higher Health Clinic",
            "Philip Sharp",
            "Gabriel Philpot",
            "Frederic Boileau Cadieux",
            "Darlene Ivany",
            "Sergio Nicolas balcarcel Salas",
            "Denis Asselin",
            "David Lessard",
            "Nick Hayer - POBB-02-06",
            "Carmen Grise",
            "Erick Labonte",
            "Torq IT",
            "Natalie Morson",
            "Elizabet perez",
            "Bruno Laplante",
            "Tom Jackson",
            "Stephane Bernard",
            "Doyon Marc",
            "Tracey Pierce",
            "Curio Life skills program",
            "Marlaine Lawson",
            "Renaud Paradis",
            "Christian Karam",
            "TWA Solutions",
            "The Muttart Foundation (Jennie Rimstad)",
            "Pierre Dusablon",
            "Giovanni Ramilo",
            "Jordan Hilman",
            "Michael Gough",
            "Teresa Pilgrim",
            "Conseil Innus Essipit- Informatique - PODIR-0072024 GEN 5258",
            "Loïc Séry",
            "Sojourn House",
            "bruno-pierre brault",
            "Bodie snihur",
            "Etienne Toupin",
            "Vutha Lab",
            "Siemens Canada Limited, Polidakis, Maria -PO9708165683",
            "Marvin Chaulk",
            "Ashley Ellsworth",
            "Scott Amano",
            "Amy Geistlinger",
            "Subscription Fee",
            "Jamie Sullivan",
            "Joe Myderwyk - POmisc IT items",
            "Michael Roxas - PONew Offi ce Infrastructure",
            "John Michael Saull",
            "Arman Johal",
            "Nira Sisombath - PO10106675",
            "Louis-Philippe Landreville",
            "Matthew Louie - POBB-02-07",
            "Jonathan Hudson",
            "Sergei Alexandrov",
            "Chris Rizzo",
            "Miranda Seymour - POADMIN-08",
            "Teky Technical Services",
            "Ash Domi - POFinance offi ce supplies",
            "Athena chau",
            "Barbara Fraser",
            "McCormick Canada - Nicole",
            "Ariel Levy",
            "William Fok",
            "Monique Richard - POMonique Richard",
            "Ahron Ruszel Gapla-ew",
            "Marco De Guise - POMDG14122023-A-QC",
            "Sarah McKirdy",
            "WaterlooIT - PO18764",
            "Andrew Crowe",
            "Marco Lutterotti",
            "LAMBERT",
            "Gilles T Beaudoin",
            "Zhen ding - PO0",
            "Rodrigo Cordeiro de Melo",
            "KIM CLEMENT",
            "Khadeejat Momoh",
            "Maxime St-Pierre",
            "Raymond Taylor",
            "Morhaf alattar",
            "Michel Savoie",
            "Dave Krause",
            "Ian Ferguson",
            "Jenn Wilson",
            "Louis Beaupre",
            "Kelvin Botchey",
            "Juan Pablo Lopez Dominguez",
            "Jenny Schultz",
            "Lissa sevigne",
            "zev tiefenbach",
            "FRANCIS LABONTE",
            "Yaghoub",
            "Helene Mercier",
            "Danielle Bobb",
            "Sophie rodrigue",
            "Mary E Kavanagh",
            "Dominique Langlois",
            "mr james preston",
            "Kylie R. Packo",
            "OPP (Mon-Fri 8-330, closed Sat & Sun)",
            "Robert Carpentier",
            "Wanda Taylor",
            "John Hunter - PO24-00007",
            "Shaw Lab Group - London - POMT8",
            "Jocelyn Pilon",
            "Subscription Fee",
            "Stoneridge Software (c/o Brenna Wall)",
            "Matt Dumont",
            "Monique Webb",
            "Michael Amor",
            "Larry Stevenson",
            "Antonio Nohra - PO22 Talbot",
            "Leigh M Copp",
            "shawn reyher",
            "Tim Fink",
            "Sergey Andrianov - PO000",
            "fosse michael",
            "Velibor Jovanovic",
            "Gerald",
            "Jenna Berg",
            "Laurent Vassard",
            "Charles Ranchie",
            "Reid Handley, Philbrook's Boatyard",
            "TINA FINKPO269667",
            "Carolin Campbell",
            "samuel",
            "Ashley Denault, B114 - PO977045",
            "Ashley Denault, B114 - PO977123",
            "École secondare du-Versant",
            "Philippe Rougeau",
            "Marc Genois",
            "Steve Drapeau",
            "Charles-Alexandre Lafond",
            "Stephane Cantin",
            "Johnny Le",
            "Kim Gold",
            "Erik Melsted",
            "Regional Hose and Equipment Ltd",
            "Envirosearch Operations Inc.",
            "Jean-Sébastien Gagné",
            "Davide Commisso",
            "Patrick Pepin",
            "Dr. Charles Weingarten",
            "Ville St-Jean sur Richelieu, Service TI -",
            "Lorin Tkachuk",
            "James Beauregard",
            "Dante Michaud",
            "Olivia Shortt",
            "xiaoqing jiang",
            "Julia Stabler",
            "Geerthana Jey",
            "Christian De Guzman",
            "Gilbert Guy",
            "Marcy West - Hotel",
            "Bob Tuck",
            "Renato Suga",
            "Ryan Snoddon",
            "Roman Chomyn",
            "John Feringa",
            "Lucille Jean",
            "Keystone Appraisals",
            "Paradox security systems - PO803604",
            "Joshua Rab",
            "delphine aubin",
            "Pierre Courchesne",
            "Alex Gao",
            "Kevin martel",
            "Candice To",
            "christian huaux",
            "Corey Peters",
            "Michael Winsemann",
            "doug gilmore - PO00057271",
            "Sylvain Drapeau",
            "tolyan",
            "Emily Hood",
            "Michael Collins",
            "RON RAVENSTEIN",
            "Norbu Dhondup",
            "Martin Gobeil - POAmélie",
            "Rosaleen Cregg",
            "FPINNOVATIONS Robinson, J (90451)",
            "Amber Beasse",
            "Roberta Dennis",
            "Yogesh Thakore",
            "Riverwind Strata Title Housing Cooperative",
            "Carlos Bosco",
            "Rita Wong",
            "Marie-claude Frenette",
            "Daniel Wan",
            "Ethel Vera",
            "Serge Gagnon - PO218436",
            "Caleb Miner",
            "france lavoie",
            "Stéphan Vosburg",
            "André labrosse",
            "Chad Jones",
            "John Goldstein",
            "Robb Proulx",
            "Nathaniel Davies",
            "Travis Tanner Cooper Smith",
            "Will Mabbett ( Pacifi c Linen/Ecosan)",
            "Sharon Benoit",
            "Centre FP Chandler-Paspébiac",
            "Kim-Lee Martel",
            "Fullscript (ATTN: Jirius Normand) - PO#1770 ZIP",
            "George Evans",
            "Brenda Sears",
            "Nicholas Duperray-Pilotte",
            "Tom Labelle",
            "James Martin",
            "Gwelda MacDonald",
            "Wendy Zarichney",
            "CJ Singh",
            "Yu bing Xu",
            "Jonathan tremblay",
            "Helder Rego",
            "Patrick Lalancette",
            "bruno blanchard",
            "Doug Smith",
            "Garnet Instruments",
            "Pouliquen Erwan",
            "Stephen Gurney - Bill & Stanley Oyster Company Ltd",
            "Sukhvinder Singh",
            "CLAUDE MANSEAU",
            "Michel Lapointe",
            "William M Spanjers",
            "Amanda M Hazelton - POVPO# 01372",
            "Marc Cabot",
            "Guillaume Saindon",
            "Jared Sidwell",
            "Jean Francois Jolin",
            "David Frenkel",
            "Ecole du Routier GC inc",
            "IRT Technologies",
            "Adam Lang",
            "Fanie Duclos/ Gariépy Bussière",
            "CONTACT POINT 360 INC. - MONTREAL",
            "Georgina Charlebois",
            "Yasser Karimzad",
            "dany castonguay",
            "Nuvation - POWDC-313595",
            "Gwen Thomson",
            "Silvano Cendou",
            "Jason Roberts",
            "Valerio Gresta Zucchi - Eataly Toronto - PO60869",
            "Marie J Peat",
            "Ken Reap",
            "HOWARD MOORE - PO009",
            "Doyon Marc",
            "Veronique Bouchard",
            "Ken Miller - School District No. 5",
            "dore pierre",
            "Jonathan Armstrong",
            "Tony Redekopp - POICM-TONY-03052024",
            "Tomislav Klasan",
            "Doiron Marie-Josée",
            "Lisette loranger",
            "Omar Abdel Bari",
            "Orlando Sinnicks",
            "Noel sylvain",
            "Lynn Duong",
            "Gestion D Noury Inc.",
            "Elvira Bjelajac",
            "Michael Dowden - PO4792720637",
            "Joann Potie - POPBSR-24-0177",
            "Debra Malisani",
            "Larry Saviskoff",
            "YASER JAFAR",
            "Sylvain Moreau - POLCVS",
            "Hank Nichol",
            "Colin MacDonald",
            "Shaw Lab Group - London - POSL4",
            "Ron Liscum",
            "IT DEVICES CANADA INC",
            "Wes Atkinson - PO4501501811",
            "alessandra nazzari",
            "Sushanth Navam",
            "Jonathan Tremblay",
            "Wasi Mohammed",
            "Alexandra Kusnierczyk",
            "Colombe Cyr",
            "Jason Olinyk",
            "Huguette Lambert",
            "Francis Nadeau",
            "Chuen Wai Michael Choi",
            "Joël Ladry",
            "11107968 yves charette",
            "Lance Nchols",
            "Akhil Chawla",
            "Antonio Di Lullo",
            "Purchasing - PORAL240240",
            "Hélène & Wendy Lévesque",
            "Louis Gartner",
            "Sandra Almeida",
            "Safe City Mississauga T Burgess-Ogilvie",
            "Jean Marc Bherer - POJMB20240315-1054-7Isles",
            "Ingrid Dykstra",
            "Kevin Williamson",
            "RICHARD JAMES",
            "Coenraad Pool",
            "sothivannan Retnasabapathy",
            "GO RAMPE INC. - GUILLAUME",
            "Michael Schulz",
            "Vladimir Sigel",
            "Matt Ross",
            "Joel Po box 1720",
            "McBride & Shields PC",
            "Neil lastimosa",
            "marilyn leis",
            "Alex Villeneuve",
            "Rock Solid Computer Services",
            "Sree Raj Pal Reddy Damidi - PORS057230",
            "Marc Tremblay",
            "h & l martens",
            "Michael Berg",
            "Earth Communications - PO24-1001",
            "France Kirouac",
            "Seth Rotondi",
            "John Middleton - PO240325-000-V0024-2400050",
            "Darios Tinaja",
            "Stanislav Olkinitskiy",
            "Brie Thomson (Northwest Child developmentcentre) - PO3002",
            "Steve Peressini",
            "David Nelson",
            "Michael YuNi",
            "Eric Au",
            "Raphael St-Pierre",
            "Pascal Giguere",
            "Lee Greenough / SFU Burnaby / ComputingScience - PO11 FAS 9006 project",
            "Coenraad Pool",
            "Charles Agius",
            "Yves Robert",
            "Yanick Proulx",
            "Darren Frederick Rosenthal",
            "Saket Pansare",
            "LORI BENEVIDES",
            "Emma Traulsen",
            "CONTACT POINT 360 INC. - MONTREAL",
            "Jane Sterk",
            "Bernard Dussault SRMI",
            "S.M. Tolson",
            "Kate Buck",
            "Sarah Finch",
            "hersh - POIT",
            "Samantha Buchanan",
            "John McGivney Children's Centre",
            "Sierra Larochelle - POOffi ce Supplies"
        ];
        $salesOrders = Deal::select(
            'dealId',
            'dealSO',
            'dealEndDateTime',
            'dealCompanyName',
            'dealEmail',
            'dealPhone',
            'dealName',
            'dealShippingEmail',
            'dealShippingPhone',
            'dealCompanyId',
            'dealTaxValue',
            'dealCreditCardCharges',
            'dealShippingCharges',
            'dealChargeAmount',
            'dealId',
            'dealRef',

        )
            ->with(['dealItems', 'company:companyId,companyPrefix'])
            ->whereIn('dealCompanyId', [1,3])
            // ->whereRaw($rawQuery)

            ->whereIn('dealCompanyName', $lookup_list)
            ->orWhereIn('dealPrimaryContact', $lookup_list)
            ->orWhereIn('dealRef', $lookup_list)
            ->get();
            $tab = 3;
                    return view(
            'look-up.two',
            compact(
                'salesOrders',
                'tab'
            )
        );
    }

     public function onethree()
    {


       
    $lookup_list = [
    '24238',
    '24157',
    'R0001',
    '23948',
    'LENOVO',
    '24093',
    '24018',
    '24018',
    '2052020',
    '1022020',
    '24060',
    '6082020',
    '120',
    '24031',
    '24253',
    '23813',
    '24221',
    '24249',
    '127',
    '24226',
    '12052020',
    '4',
    'A2765815',
    '24062',
    '24031',
    '24113',
    '24170',
    '24227',
    '74',
    '24029',
    '24051',
    '24114',
    '50',
    '23978',
    '79',
    'CP0004',
    '79',
    '6162020',
    '24233',
    '24157',
    '24213',
    'CP0004',
    '128',
    '24035',
    '24103',
    '24125',
    '24166',
    '24196',
    '24222',
    '12',
    '58',
    '114',
    '24046',
    '17',
    '24086',
    '95',
    '79',
    '24187',
    '100',
    '127',
    '20',
    'Sam002',
    '79',
    '24219',
    '24214',
    '24019',
    '24035',
    '24103',
    '24125',
    '24166',
    '44',
    'A8025855',
    '24067',
    '23813',
    '1',
    '51',
    '127',
    '455449',
    '32',
    '45',
    '127',
    '11',
    '29',
    '8062020',
    '4996219',
    '3109865',
    '24121',
    '24112',
    'A7875461',
    '79',
    '79',
    '24178',
    'CP0002',
    '49',
    '4747403',
    '2278643',
    '47',
    '24049',
    '29',
    'A0525027',
    '24091',
    '123',
    '29',
    '96',
    '24024',
    '24184',
    '24038',
    '24196',
    '24222',
    '12',
    '58',
    '114',
    '4383456',
    '7192216',
    '24199',
    '113',
    '24026',
    '127',
    '24046',
    '9170603',
    '7449049',
    '88',
    '6672262',
    '4014642',
    '7761055',
    '6896220',
    '24151',
    '24126',
    '24208',
    '24039',
    '24223',
    'Sam001',
    '24244',
    '24068',
    '38',
    '120',
    '97',
    'A3624267',
    'A4291430',
    '24206',
    '24072',
    '5341004',
    '125',
    'A7517845',
    '24063',
    'CP0001',
    '24055',
    '24188',
    '24046',
    '13',
    '7509816',
    '89',
    'A4178665',
    'A2270619',
    '24033',
    '737006',
    '24250',
    '24',
    '34',
    'A4591469',
    '119',
    '6044266',
    '24126',
    '24208',
    '124',
    '122',
    '24048',
    '24066',
    '73',
    '133',
    '8329820',
    '127',
    '24090',
    '2829006',
    '6337824',
    '2589043',
    '7517848',
    '3158640',
    '5662638',
    '2031461',
    '7189054',
    '4075457',
    '3022630',
    '24104',
    '24094',
    '24199',
    '9410620',
    '1677057',
    '8207',
    '6313038',
    '31',
    '381018',
    '57',
    '29',
    '2345846',
    '24084',
    '24179',
    '8505044',
    'Sam002',
    '24128',
    '24043',
    '24058',
    '24033',
    '5802621',
    '110',
    '5345004',
    '1434651',
    '5373065',
    '24213',
    '78',
    '3418641',
    '17',
    '24095',
    '5563442',
    '24096',
    '24158',
    'A4584223',
    '24040',
    '24040',
    '6066616',
    '24148',
    '1974629',
    '24167',
    '87',
    '24176',
    'Sam002',
    '24020',
    '9597068',
    '3132203',
    '24169',
    '1057845',
    '4416241',
    '8823430',
    '6078645',
    '4559425',
    '945010',
    '24127',
    '24085',
    '2205047',
    '5134666',
    '7341069',
    '3855461',
    '24059',
    '24110',
    '24034',
    '115',
    '116',
    '24027',
    'A0197057',
    'A6210632',
    'A1012223',
    'A9141861',
    'A0611413',
    'A0841806',
    'A6566646',
    '24125',
    '9349822',
    '4559453',
    '125',
    '4313848',
    '8269839',
    '21',
    'CP0004',
    '99',
    '8161858',
    '853839',
    '4253844',
    'A5486605',
    'A0819419',
    'A9746606',
    '24084',
    '24179',
    '796247',
    '3841023',
    '1132229',
    '24086',
    '1697053',
    '837866',
    '2965866',
    '3633807',
    '6563442',
    '5709824',
    '9091413',
    '8650636',
    '9239410',
    '619447',
    '2008227',
    '7931440',
    '5473044',
    '6204200',
    '9876249',
    '4522608',
    '1689055',
    '1689055',
    '7965826',
    '3424254',
    '3633856',
    '345859',
    '4321007',
    '24118',
    '77',
    '8701035',
    '24129',
    '24030',
    '4426636',
    '56',
    '5132256',
    '2424222',
    '3118665',
    '6293849',
    '8163434',
    '7260210',
    '24050',
    'A2595444',
    '3277833',
    '7086641',
    '2248258',
    '381852',
    '4032229',
    '49',
    'CP0008',
    'A1852266',
    '24108',
    'CP0004',
    '1852',
    '35',
    'CP0003',
    '40',
    '1706660',
    '7370607',
    '2662623',
    '5485000',
    '9383431',
    '5746644',
    '5333826',
    '24111',
    '6685011',
    '6745034',
    '1853854',
    'A2921804',
    '6191419',
    '5897818',
    '24073',
    '3769033',
    '1269803',
    '8522621',
    '961041',
    'Sam002',
    '24047',
    '24087',
    '14',
    '24134',
    '135',
    '24078',
    '24156',
    '71',
    '117',
    'Sam004',
    '4638628',
    '1037808',
    '8549814',
    '7289003',
    '24065',
    '7389839',
    '6043444',
    '8173813',
    'A5409057',
    '68',
    '238618',
    '5996256',
    '1964242',
    '3437811',
    '7702610',
    '9810665',
    '5959458',
    '24134',
    '24134',
    '37',
    '27',
    'A4402632',
    '4517018',
    '1809809',
    '351438',
    '3629852',
    '4329838',
    '9238608',
    '93',
    '3200211',
    '3523421',
    '54',
    '24240',
    '7072255',
    '3711400',
    'A0631451',
    '24130',
    '24186',
    '157000',
    '3781021',
    'A3569001',
    '35',
    '179447',
    '9663467',
    '8733021',
    '2093848',
    '24087',
    '37',
    '76',
    '24108',
    '128',
    '24154',
    '73',
    '24169',
    '24021',
    '3813848',
    '24165',
    'A4329861',
    '75',
    'A5315418',
    '610617',
    '24200',
    'A2549800',
    'A6508209',
    '574626',
    '9820248',
    '9',
    '1052236',
    'A8690667',
    '135',
    'A2563446',
    'A1955449',
    'A4975452',
    '24035',
    '24054',
    '24054',
    '24054',
    '24054',
    '2076209',
    'MUSH008',
    '5335415',
    '509029',
    '24230',
    '24232',
    '24252',
    '24222',
    '5',
    '6',
    '59',
    '18',
    '23948',
    '24013',
    '23965',
    '24031',
    '23833',
    '24145',
    '6734655',
    '3485041',
    '2312229',
    '9773864',
    '8069027',
    '24218'
];

        

        $salesOrders = Deal::select(
            'dealSO',
            'dealEndDateTime',
            'dealCompanyName',
            'dealEmail',
            'dealPhone',
            'dealName',
            'dealShippingEmail',
            'dealShippingPhone',
            'dealCompanyId',
            'dealTaxValue',
            'dealCreditCardCharges',
            'dealShippingCharges',
            'dealChargeAmount',
            'dealId',
            'dealRef',
            'dealCompanyName'

        )
            ->latest()
            ->with(['dealItems', 'company:companyId,companyPrefix'])
            ->where('dealCompanyId', '=', 1)
            // ->whereRaw($rawQuery)
           // ->where('dealType', 'charOrEmail')
             ->whereIn('dealSO', $lookup_list)
            // ->orWhereIn('dealRef', $lookup_list)

   

            ->get();
           $tab = 3;
        return view(
            'look-up.one',
            compact(
                'salesOrders',
                'tab'
            )
        );
    }



}
