@extends('layouts.app')
@section('leftbar-orders-active', 'active')

@section('breadcrumbs')
    <div class="content-header-left col-md-9 col-12 mb-2">
        <div class="row breadcrumbs-top">
            <div class="col-12">
                <h2 class="content-header-title float-left mb-0">Vendor</h2>
                <div class="breadcrumb-wrapper col-12">
                    <ol class="breadcrumb">
                        <li class="breadcrumb-item"><a href="index.html">Home</a>
                        </li>
                        <li class="breadcrumb-item active">List
                        </li>
                    </ol>
                </div>
            </div>
        </div>
    </div>
    <div class="content-header-right text-md-right col-md-3 col-12 d-md-block d-none">
        <div class="form-group breadcrum-right">
            <div class="dropdown">
                <button class="btn-icon btn btn-primary btn-round btn-sm dropdown-toggle" type="button"
                    data-toggle="dropdown" aria-haspopup="true" aria-expanded="false"><i
                        class="feather icon-settings"></i></button>
                <div class="dropdown-menu dropdown-menu-right"><a class="dropdown-item" href="#">Chat</a><a
                        class="dropdown-item" href="#">Email</a><a class="dropdown-item" href="#">Calendar</a>
                </div>
            </div>
        </div>
    </div>
@endsection

@section('content-body')
<div class="content-body">
    <section>

        @if (\Session::has('success'))
        <div class="alert alert-success">
            <ul>
                <li>{!! \Session::get('success') !!}</li>
            </ul>
        </div>
        @endif
        <!-- first card end -->
        <!-- shipping billing card start -->
        <div class="row">
            <div class="col-md-6 offset-md-3">
                <div class="card">
                    <div class="card-content">
                            <h4 class="add_new_cust_heading">Update Bank Details</h4>
                        <div class="card-body">
                            <form method="POST" action="{{ route("bank.update", [$bank->bankId]) }}" enctype="multipart/form-data">
                                @method('PUT')
                                @csrf
                                <div class="form-body">
                                    <div class="row">
                                        <div class="col-md-6 col-12">
                                            <div class="form-label-group">
                                                <input type="text" id="bankName" class="form-control"
                                                    placeholder="Bank Name" value="{{ $bank->bankName }}" name="bankName" required>
                                            </div>
                                        </div>
                                        <div class="col-md-6 col-12">
                                            <div class="form-label-group">
                                                <input type="text" id="bankAccountTitle" class="form-control"
                                                    placeholder="Account Title" value="{{ $bank->bankAccountTitle }}" name="bankAccountTitle" required>
                                            </div>
                                        </div>

                                        <div class="col-md-4 col-12">
                                            <div class="form-label-group">
                                                <input type="text" id="bankAccountNo" class="form-control"
                                                    name="bankAccountNo" value="{{ $bank->bankAccountNo }}" placeholder="Account No" required>
                                            </div>
                                        </div>
                                        <div class="col-md-8 col-12">
                                            <div class="form-label-group">
                                                <input type="text" id="bankAba" class="form-control"
                                                    name="bankAba" value="{{ $bank->bankAba }}" placeholder="Aba" required>
                                            </div>
                                        </div>
                                        <div class="col-md-12 col-12">
                                            <div class="form-label-group">
                                                <input type="text" id="bankSwift" class="form-control"
                                                    placeholder="Swift" value="{{ $bank->bankSwift }}" name="bankSwift" required>
                                            </div>
                                        </div>
                                        <div class="col-md-6 col-12">
                                            <div class="form-label-group">
                                                <input type="text" id="bankAddress" class="form-control"
                                                    placeholder="Address" value="{{ $bank->bankAddress }}" name="bankAddress" required>
                                            </div>
                                        </div>

                                        <div class="col-md-6 col-12">
                                            <div class="form-label-group">
                                                <fieldset class="form-group mb-0">
                                                    <select class="form-control" id="bankCompanyId" name="bankCompanyId" required>
                                                        @foreach ($companies as $company)
                                                            @if ($company->companyId == $bank->bankCompanyId)
                                                            <option value="{{ $company->companyId }}" selected>
                                                            @else
                                                            <option value="{{ $company->companyId }}">
                                                            @endif
                                                            {{ $company->companyName }}
                                                            </option>
                                                        @endforeach
                                                    </select>
                                                </fieldset>
                                            </div>
                                        </div>



                                    </div>
                                </div>
                                <div class="col-md-8 offset-md-4">
                                    <button type="submit" class="btn submit-btn mr-1 mb-1 waves-effect waves-light">Update</button>
                                    <button type="reset" class="btn btn-outline-warning mr-1 mb-1 waves-effect waves-light">Reset</button>
                                </div>
                            </form>
                        </div>
                    </div>
                </div>
            </div>

        </div>
        <!-- shipping billing card end -->

    </section>
</div>
@endsection
