@extends('layouts.app')

@section('leftbar-orders-active', 'active')
@section('after-style')


<script src="https://cdn.ckeditor.com/4.14.0/standard/ckeditor.js"></script>
<style>
</style>
@endsection
@section('breadcrumbs')
    <div class="content-header-left col-md-9 col-12 mb-2">
        <div class="row breadcrumbs-top">
            <div class="col-12">
                <h2 class="content-header-title float-left mb-0">Customer</h2>
                <div class="breadcrumb-wrapper col-12">
                    <ol class="breadcrumb">
                        <li class="breadcrumb-item"><a href="index.html">Home</a>
                        </li>
                        <li class="breadcrumb-item active">List
                        </li>
                    </ol>
                </div>
            </div>
        </div>
    </div>
    <div class="content-header-right text-md-right col-md-3 col-12 d-md-block d-none">
        <div class="form-group breadcrum-right">
            <div class="dropdown">
                <button class="btn-icon btn btn-primary btn-round btn-sm dropdown-toggle" type="button"
                    data-toggle="dropdown" aria-haspopup="true" aria-expanded="false"><i
                        class="feather icon-settings"></i></button>
                <div class="dropdown-menu dropdown-menu-right"><a class="dropdown-item" href="#">Chat</a><a
                        class="dropdown-item" href="#">Email</a><a class="dropdown-item" href="#">Calendar</a>
                </div>
            </div>
        </div>
    </div>
@endsection

@section('content-body')
<div class="content-body">
    <section>

        @if (\Session::has('success'))
        <div class="alert alert-success">
            <ul>
                <li>{!! \Session::get('success') !!}</li>
            </ul>
        </div>
        @endif
        <!-- first card end -->
        <!-- shipping billing card start -->
        <div class="row">
            <div class="col-md-8 offset-md-1">
                <div class="card">
                    <div class="card-content">
                            <h4 class="add_new_cust_heading">Add new Company</h4>
                        <div class="card-body">
                            <form class="form" action="{{ route('companies.store') }}" method="POST">
                                @csrf
                                <div class="form-body">
                                    <div class="row">
                                        <div class="col-md-7 col-12">
                                            <div class="form-group">
                                                <label for="companyName">Company Name</label>
                                                <input type="text" id="companyName" class="form-control"
                                                    placeholder="Company Name" value="" name="companyName" required>
                                            </div>
                                        </div>
                                        <div class="col-md-5 col-12">
                                            <div class="form-group">
                                                <label>Business Type</label>
                                                <fieldset class="form-group mb-0">
                                                    <select class="form-control" id="companyBusinessType" name="companyBusinessType" required>
                                                        @foreach ($businessTypes as $businessType)
                                                        <option value="{{ $businessType }}">
                                                         
                                                            {{ $businessType }}
                                                            </option>
                                                    @endforeach

                                                    </select>
                                                </fieldset>
                                            </div>
                                        </div>
                                        <div class="col-md-6 col-12">
                                            <div class="form-group">
                                                <label> Logo URL</label>
                                                <input type="text" id="companyLogo" class="form-control"
                                                    placeholder="Company Logo URL" name="companyLogo" required>
                                            </div>
                                        </div>

                                        <div class="col-md-6 col-12">
                                            <div class="form-group">
                                                <label> Url</label>
                                                <input type="text" id="companyUrl" class="form-control"
                                                    name="companyUrl"  placeholder="Company Url" required>
                                            </div>
                                        </div>
                                        <div class="col-md-12 col-12">
                                            <div class="form-group">
                                                <label> Address</label>
                                                <textarea id="companyAddress" class="form-control"
                                                    name="companyAddress"  required></textarea>
                                            </div>
                                        </div>
                                        <div class="col-md-4 col-12">
                                            <div class="form-group">
                                                <label> Phone</label>
                                                <input type="text" id="companyPhone" class="form-control"
                                                    placeholder="Company Phone" name="companyPhone" required>
                                            </div>
                                        </div>
                                        <div class="col-md-4 col-12">
                                            <div class="form-group">
                                                <label> Prefix</label>
                                                <input type="text" id="companyPrefix" class="form-control"
                                                    placeholder="Company Prefix"  name="companyPrefix" required>
                                            </div>
                                        </div>
                                        
                                        <div class="col-md-4 col-12">
                                            <div class="form-group">
                                                <label>Color Code</label>
                                                <input type="color" id="companyColorCode" class="form-control"
                                                    name="companyColorCode"  placeholder="Company Color Code" required>
                                            </div>
                                        </div>

                                        <div class="col-md-4 col-12">
                                            <div class="form-group">
                                                <label>Currency</label>
                                                <input type="text" id="companyCurrency" class="form-control"
                                                    placeholder="Company Currency" name="companyCurrency" required>
                                            </div>
                                        </div>

                                        <div class="col-md-6 col-12">
                                            <div class="form-group">
                                                <label>Country</label>
                                                <fieldset class=" mb-0">
                                                    <select class="form-control" id="companyCountryId" name="companyCountryId" required>
                                                        @foreach ($countries as $country)
                                                        <option value="{{ $country->countryId }}">
                                                            {{ $country->countryName }}
                                                            </option>
                                                        @endforeach
                                                    </select>
                                                </fieldset>
                                            </div>
                                        </div>

                                        <div class="col-md-12 col-12">
                                            <div class="form-group">
                                                <label>Company Invoice Text</label>
                                                <textarea id="companyInvoiceText"  name="companyInvoiceText"  required></textarea>
                                            </div>
                                        </div>

                                    </div>
                                </div>
                                <div class="col-md-8 offset-md-4">
                                    <button type="submit" class="btn submit-btn mr-1 mb-1 waves-effect waves-light">Submit</button>
                                    <a href="{{ route('companies.index') }}" class="btn btn-outline-warning mr-1 mb-1 waves-effect waves-light">Back</a>
                                </div>
                            </form>
                        </div>
                    </div>
                </div>
            </div>

        </div>
        <!-- shipping billing card end -->

    </section>
</div>
@endsection
@section('after-scripts')


<script>
    CKEDITOR.replace('companyInvoiceText');

</script>


@endsection