@extends('layouts.app')
@section('leftbar-orders-active', 'active')

@section('breadcrumbs')
    <div class="content-header-left col-md-9 col-12 mb-2">
        <div class="row breadcrumbs-top">
            <div class="col-12">
                <h2 class="content-header-title float-left mb-0">Add New Loan</h2>
                <div class="breadcrumb-wrapper col-12">
                    <ol class="breadcrumb">
                        <li class="breadcrumb-item"><a href="index.html">Home</a>
                        </li>
                        <li class="breadcrumb-item active">List
                        </li>
                    </ol>
                </div>
            </div>
        </div>
    </div>
    <div class="content-header-right text-md-right col-md-3 col-12 d-md-block d-none">
        <div class="form-group breadcrum-right">
            <div class="dropdown">
                <button class="btn-icon btn btn-primary btn-round btn-sm dropdown-toggle" type="button"
                    data-toggle="dropdown" aria-haspopup="true" aria-expanded="false"><i
                        class="feather icon-settings"></i></button>
                <div class="dropdown-menu dropdown-menu-right"><a class="dropdown-item" href="#">Chat</a><a
                        class="dropdown-item" href="#">Email</a><a class="dropdown-item" href="#">Calendar</a>
                </div>
            </div>
        </div>
    </div>
@endsection

@section('content-body')
<div class="content-body">
    <section>

        @if (\Session::has('success'))
        <div class="alert alert-success">
            <ul>
                <li>{!! \Session::get('success') !!}</li>
            </ul>
        </div>
        @endif
        <!-- first card end -->
        <!-- shipping billing card start -->
        <div class="row">
            <div class="col-md-8 offset-md-2">
                <div class="card">
                    <div class="card-content">
                            <h4 class="add_new_cust_heading">Add New Loan</h4>
                        <div class="card-body">
                            <form class="form" action="{{ route('user-save-loan') }}" method="POST">
                                @csrf
                                <div class="form-body">
                                    <div class="row">
                                        <div class="col-md-6 col-12">
                                            <div class="form-group">
                                                <label>Category</label>
                                                <select class="form-control" name="loanCategory" >
                                                <option value="1">Loan</option>
                                                <option value="2">Return</option>
                                             
                                                </select>
                                            </div>
                                        </div>
                                        <div class="col-md-6 col-12">
                                            <div class="form-group">
                                                <label>Type</label>
                                                <select class="form-control" name="loanCategoryType" >
                                                <option value="other receivables and loans">Other receivables and loans</option>                                             
                                                </select>
                                            </div>
                                        </div>
                                        <div class="col-md-6 col-12">
                                            <div class="form-group">
                                                <label>Bank</label>
                                                <select class="form-control" name="bankId" >                                             
                                                @foreach($banks as $bank)
                                                <option value="{{ $bank->bankId }}">{{ $bank->bankAccountTitle }}</option>                                             
                                                    @endforeach
                                            </select>
                                            </div>
                                        </div>
                                        <div class="col-md-6 col-12">
                                            <div class="form-group">
                                                <label>Company/User</label>
                                                <select class="form-control" name="loanUserId" >
                                                    @foreach($loanusers as $loanuser)
                                                <option value="{{ $loanuser->loanUserId }}">{{ $loanuser->loanUserFirstName }}</option>                                             
                                                    @endforeach
                                            </select>
                                            </div>
                                        </div>
                                        <div class="col-md-6 col-12">
                                            <div class="form-group">
                                                <label>Date</label>

                                                <input type="date" id="date" class="form-control"
                                                    placeholder="Date" name="loanDate" required>
                                            </div>
                                        </div>
                                        <div class="col-md-6 col-12">
                                            <div class="form-group">
                                                <label>Loan Amount</label>
                                                <input type="text" id="loanAmount" class="form-control"
                                                    placeholder="Amount" name="loanAmount" required value="0" oninput="this.value = this.value.replace(/[^0-9.]/g, '').replace(/(\..*)\./g, '$1');">
                                            </div>
                                        </div>
                                        <div class="col-md-12 col-12">
                                            <div class="form-group">
                                                <label>Description</label>

                                                <textarea type="text" id="loanDescription" class="form-control"
                                                    placeholder="Description" name="loanDescription" required></textarea>
                                            </div>
                                        </div>
                                        
                                        

                                       

                                    </div>
                                </div>
                                <div class="col-md-8 offset-md-4">
                                    <button type="submit" class="btn submit-btn float-right mr-1 mb-1 waves-effect waves-light">Create</button>
                                </div>
                            </form>
                        </div>
                    </div>
                </div>
            </div>

        </div>
        <!-- shipping billing card end -->

    </section>
</div>
@endsection
