@extends('layouts.app')
@section('leftbar-orders-active', 'active')

@section('breadcrumbs')
    <div class="content-header-left col-md-9 col-12 mb-2">
        <div class="row breadcrumbs-top">
            <div class="col-12">
                <h2 class="content-header-title float-left mb-0">Bank Transactions</h2>
               

            </div>
        </div>
    </div>
 
@endsection

@section('content-body')

<div class="content-body">
    <section id="sale-order-datatable">
        <div class="modal fade mt-3" id="detailbank" tabindex="-1" role="dialog" aria-labelledby="myModalLabel1" aria-hidden="true">
            <div class="modal-dialog modal-dialog-scrollable modal-lg" role="document">
                <div class="modal-content">
                  
                    <div class="modal-header">
                        <h4 class="modal-title" id="myModalLabel1"></h4>
                        <button type="button" class="close" data-dismiss="modal" aria-label="Close">
                            <span aria-hidden="true">&times;</span>
                        </button>
                    </div>
                    <div class="modal-body">
                        <div class="table-responsive" >
                            <table class="table zero-configuration">
    
                            
                                <tbody id="detail-invoices">
        
        
                            </table>
                        </div>
                        <div id="code-input" class="text-center">
                           
                        </div>
                        <div class="modal-footer" id="modal-footer-detail">
                        </div>
                    </div>
                    
                </div>
            </div>
        </div>
      
        <div class="row">
            <div class="col-12">

                <div class="card m0">
                    <div class="card-content">
                        <div class="card-body">
                            @include('loans.summary')
                        </div>
                    </div>
                </div>
           
                <div class="card">
                    <div class="card-header">
                        <h4 class="card-title">Other Receivables & Loans</h4>
                        <a href="https://erp.thetechit.com/admin/loans-recieveable" class="btn btn-primary btn-sm" target="_blank">add</a>
                    </div>
                    <div class="card-content">
                        <div class="card-body card-dashboard">
                            <div class="table-responsive">
                                <table class="table zero-configuration">
                                    <thead>
                                        <tr>
                                            <th>Name</th>

                                            <th>Amount</th>
                                           
                                            <th></th>
                                        </tr>
                                    </thead>
                                    <tbody>
                                        @php
                                           $companyCurrency = auth()->user()->company->companyCurrency;
                                            @endphp
                                        @foreach ($loans as $transaction)

                                            <tr>
                                                @php 
                                                @endphp
                                                <td>{{ $transaction->loanUserFirstName }}</td>
                                                <td>@if($transaction->total){{  $companyCurrency.''.$transaction->total }}@else - @endif</td>
                                             
                                                <td>
                                                   

                                                    <div class="btn-dropdown mr-1 mb-1">
                                                        <div class="btn-group dropdown actions-dropodown">
                                                            <button type="button"
                                                                class="btn btn-white px-1 py-1 dropdown-toggle waves-effect waves-light text-bold-600"
                                                                data-toggle="dropdown" aria-haspopup="true"
                                                                aria-expanded="false">
                                                                
                                                            </button>
                                                            <div class="dropdown-menu">
                                                           
                                                          
                                                           
                                                                    <a class="dropdown-item" href="{{ route('user-loan-history', $transaction->loanUserId) }}" 
                                                                        >Details</a>
                                                                       
                                                                       
                                                            </div>

                                                   
                                                    </td>
                                            </tr>
                                        @endforeach
                                    </tbody>
                                
                                </table>
                                {{ $loans->appends(request()->input())->links('pagination::bootstrap-4') }}

                            </div>
                        </div>
                    </div>
                </div>
            </div>
        </div>
    </section>
</div>
@endsection

@section('after-scripts')
    <script>




function getBankDetails(reportCardId){


 
$("#detail-invoices").empty();

$("#modal-footer-detail").empty();
$('#modal-footer-detail').html(`<button type="button" class="btn btn-danger" onclick="deleteTransaction(${reportCardId})">Delete Transaction</button>`);
$("#code-input").empty();


}


const deleteTransaction = (reportBankId) => {
    $("#modal-footer-detail").empty();

    $('#code-input').html(` <h4>To confirm the deletion of this transaction, please type "DELETE". Please note that this action is irreversible. </h4>
                            <input type="text" id="code" onpaste="return false;" autocomplete="off" />
                            <input type="button" value="Confirm" class="btn btn-danger btn-sm" onclick="verifyCode(${reportBankId})"/>`)
    
}

const verifyCode = (loanId) => {
    
   
  var codeInput = $("#code").val();
  if (codeInput === "DELETE") {
    // Code is correct, proceed with delete action
   
    $.ajax({
                url: '/loan/delete-transaction/' + loanId,
                type: 'DELETE',
                data: {
                    _token: $('meta[name="csrf-token"]').attr('content')
                },
                success: function(response) {
                    window.location.reload()
                    
                },
                error: function(xhr) {
                    console.log(xhr.responseText);
                }
            });
    // perform delete action here
  } else {
    // Code is incorrect, show error message
    alert("Incorrect code. Please try again.");
  }
  codeInput = ""; // Clear input field

}



    </script>
@endsection
