@extends('layouts.app')
@section('leftbar-orders-active', 'active')

@section('after-style')

<link rel="stylesheet" type="text/css" href="{{asset('app-assets/vendors/css/file-uploaders/dropzone.min.css')}}">
<link rel="stylesheet" type="text/css" href="{{asset('app-assets/css/plugins/file-uploaders/dropzone.css')}}">
<script src="https://cdn.ckeditor.com/4.16.1/standard/ckeditor.js"></script>
<style>
    .form-margin-control {
        margin-bottom: 0.4rem !important;
    }
    .order-title{
        font-size: 15px !important;
    }
    .order-title-mini{
        font-size: 12px !important;
    }
</style>
@endsection

@section('breadcrumbs')
<div class="content-header-left col-md-9 col-12 mb-2">
    <div class="row breadcrumbs-top">
        <div class="col-12">
            <h2 class="content-header-title float-left mb-0">Sales Orders</h2>
            <div class="breadcrumb-wrapper col-12">
                <ol class="breadcrumb">
                    <li class="breadcrumb-item"><a href="">Home</a>
                    </li>
                    <li class="breadcrumb-item active">List
                    </li>
                </ol>
            </div>
        </div>
    </div>
</div>
<div class="content-header-right text-md-right col-md-3 col-12 d-md-block d-none">
    <div class="form-group breadcrum-right">
        <div class="dropdown">
            <button class="btn-icon btn btn-primary btn-round btn-sm dropdown-toggle" type="button"
                data-toggle="dropdown" aria-haspopup="true" aria-expanded="false"><i
                    class="feather icon-settings"></i></button>
            <div class="dropdown-menu dropdown-menu-right"><a class="dropdown-item" href="#">Chat</a><a
                    class="dropdown-item" href="#">Email</a><a class="dropdown-item" href="#">Calendar</a>
            </div>
        </div>
    </div>
</div>
@endsection

@section('content-body')
@include('orders.partials.new-order.states')

<div class="content-body">
    <section>
        <div class="modal text-left" id="animation2" tabindex="-1" role="dialog" aria-labelledby="myModalLabel6"
            aria-hidden="true">
            <div class="modal-dialog modal-dialog-centered modal-dialog-scrollable modal-lg" role="document">
                <div class="modal-content">
                    <div class="modal-header">
                        <h4 class="modal-title" id="myModalLabel6">Reference Attachments</h4>
                        <button type="button" class="close" data-dismiss="modal" aria-label="Close">
                            <span aria-hidden="true">&times;</span>
                        </button>
                    </div>
                    <div class="modal-body">
                        @php
                        $dealNamee = Auth::user()->firstName[0] .''. Auth::user()->lastName[0] .''. $deal_reference;
                        @endphp
                        <form action="{{ route('orders.order-attachments', bin2hex($dealNamee)) }}"
                            class="dropzone dropzone-area" id="dpz-multiple-files">
                            @csrf
                            <div class="dz-message">Drop Files Here To Upload</div>
                        </form>

                    </div>
                    <div class="modal-footer">
                    </div>
                </div>
            </div>
        </div>

        <form class="form form-horizontal" action="{{ route('deal.store') }}" method="POST">
            @csrf
            <div class="card">
                <div class="card-content">
                    <div class="card-body">
                        <!-- Basic Modals start -->


                        <!-- Modal -->
                        <div class="modal text-left" id="animation" tabindex="-1" role="dialog"
                            aria-labelledby="myModalLabel6" aria-hidden="true">
                            <div class="modal-dialog modal-dialog-centered modal-dialog-scrollable modal-lg" role="document">
                                <div class="modal-content">
                                    <div class="modal-header">
                                        <h4 class="modal-title" id="myModalLabel6">Reference Text</h4>
                                        <button type="button" class="close" data-dismiss="modal" aria-label="Close">
                                            <span aria-hidden="true">&times;</span>
                                        </button>
                                    </div>
                                    <div class="modal-body">
                                        <textarea name="dealRefrenceText"></textarea>

                                    </div>
                                    <div class="modal-footer">
                                        <button type="button" class="btn btn-primary"
                                            data-dismiss="modal">Close</button>
                                    </div>
                                </div>
                            </div>
                        </div>

                        <!-- Basic Modals end -->
                        <div class="row justify-content-around">
                            <div class="col col-lg-4 mb10 mt25">
                                @include('partials.company-info', ['info' => $orderCompany])

                                <div class="top">
                                    <div class="actions action-btns">
                                        <div style="    border: #c7c5c254 1px solid;   border-radius: 7px;"
                                            class="btn-group dropdown actions-dropodown">
                                            <button type="button"
                                                class="btn btn-white px-1 py-1 dropdown-toggle waves-effect waves-light"
                                                data-toggle="dropdown" aria-haspopup="true" aria-expanded="false">
                                                References
                                            </button>
                                            <div class="dropdown-menu" x-placement="bottom-start"
                                                style="position: absolute; transform: translate3d(0px, 44px, 0px); top: 0px; left: 0px; will-change: transform;">
                                                <a class="dropdown-item" href="javascript:void(0)" data-toggle="modal"
                                                    data-target="#animation2" href="#">Attachments</a>
                                                <a class="dropdown-item" href="javascript:void(0)" data-toggle="modal"
                                                    data-target="#animation">Text</a>

                                            </div>
                                        </div>
                                        <div class="dt-buttons btn-group">

                                        </div>
                                    </div>

                                </div>
                            </div>
                            <div class="col col-lg-5">
                                <div class="form-body">
                                    <div class="row">
                                        <div class="col-12">
                                            <div class="form-group row">
                                                <div class="col-md-4 header-info">
                                                    <span class="order-title-mini">Order ID</span>
                                                </div>
                                                <div class="col-md-8">
                                                    <input type="text" id="dealName" class="form-control"
                                                        value="{{ Auth::user()->firstName[0] . Auth::user()->lastName[0] . $deal_reference }}"
                                                        name="dealName" placeholder="Deal Name" readonly required>
                                                </div>
                                            </div>
                                        </div>
                                        <div class="col-12">
                                            <div class="form-group row">
                                                <div class="col-md-4 header-info">
                                                    <span class="order-title-mini">Customer Ref #</span>
                                                </div>
                                                <div class="col-md-8">
                                                    <input type="text" id="dealRef" class="form-control" name="dealRef"
                                                        placeholder="Customer Ref #" autocomplete="off" required>
                                                </div>
                                            </div>
                                        </div>
                                        <div class="col-12">
                                            <div class="form-group row">
                                                <div class="col-md-4 header-info">
                                                    <span class="order-title-mini">Order Date</span>
                                                </div>
                                                <div class="col-md-8">
                                                    <input type="date" id="dealEndDateTime" class="form-control"
                                                        name="dealEndDateTime" required>
                                                </div>
                                            </div>
                                        </div>
                                        <div class="col-12">
                                            <div class="form-group row">
                                                <div class="col-md-4 header-info">
                                                    <span class="order-title-mini">Department</span>
                                                </div>
                                                <div class="col-md-8">
                                                    <fieldset class="form-group mb-0">
                                                        <select class="form-control" id="dealDepartment"
                                                            name="dealDepartment">
                                                            <option value="Commercial"> Commercial</option>

                                                        </select>
                                                    </fieldset>
                                                </div>
                                            </div>
                                        </div>
                                        <div class="col-12">
                                            <div class="form-group row">
                                                <div class="col-md-4 header-info">
                                                    <span class="order-title-mini">Payment Type</span>
                                                </div>
                                                <div class="col-md-8">
                                                    <fieldset class="form-group mb-0">
                                                        <select class="form-control" id="dealPaymentMethod"
                                                            name="dealPaymentMethod">
                                                            <option value=""> Payment Method </option>
                                                            <option value="Credit Card"> Credit Card </option>
                                                            <option value="Paypal"> Paypal </option>
                                                            <option value="Net Term"> Net Term </option>
                                                            <option value="Bank Transfer"> Bank Transfer </option>
                                                            <option value="Online-Paypal"> Online-Paypal </option>
                                                            <option value="Amazon">Amazon</option>
                                                        </select>
                                                    </fieldset>
                                                </div>
                                            </div>
                                        </div>
                                        <div class="col-12">
                                            <div class="form-group row">
                                                <div class="col-md-4 header-info">
                                                    <span class="order-title-mini">Sale Person</span>
                                                </div>
                                                <div class="col-md-8">
                                                    <fieldset class="form-group mb-0">
                                                        <select class="form-control" id="dealsalePerson"
                                                            name="dealsalePerson">
                                                            <option>Select Sales Person</option>
                                                            @foreach ($salereps as $person)
                                                            <option value="{{ $person->userId }}">
                                                                {{ $person->firstName . ' ' . $person->lastName }}
                                                            </option>
                                                            @endforeach
                                                        </select>
                                                    </fieldset>
                                                </div>
                                            </div>
                                        </div>

                                    </div>
                                </div>
                            </div>
                        </div>

                    </div>
                </div>
                <!--card-content-->
            </div>
            <!-- first card end -->
            <!-- shipping billing card start -->
            <div class="row">
                <div class="col">
                    <div class="card">
                        <div class="card-content">
                            <div class="card-header">
                                <h4 class="card-title order-title">Billing Address</h4>
                                <ul class="list-unstyled mb-0">
                                    <li class="d-inline-block mr-2">
                                        <fieldset>
                                            <div class="vs-radio-con">
                                                <input type="radio" name="billing_state_type" checked="" value="local">
                                                <span class="vs-radio">
                                                    <span class="vs-radio--border"></span>
                                                    <span class="vs-radio--circle"></span>
                                                </span>
                                                <span class="order-title-mini">Local</span>
                                            </div>
                                        </fieldset>
                                    </li>
                                    <li class="d-inline-block mr-2">
                                        <fieldset>
                                            <div class="vs-radio-con">
                                                <input type="radio" name="billing_state_type" value="international">
                                                <span class="vs-radio">
                                                    <span class="vs-radio--border"></span>
                                                    <span class="vs-radio--circle"></span>
                                                </span>
                                                <span class="order-title-mini">International</span>
                                            </div>
                                        </fieldset>
                                    </li>
                                </ul>
                                <div class="form-group">
                                    @include('orders.partials.new-order.existing-customer')
                                </div>
                            </div>
                            <div class="card-body">
                                <div class="form-body">
                                    @include('orders.partials.new-order.billing')
                                </div>
                            </div>
                        </div>
                    </div>
                </div>
                <div class="col">
                    <div class="card">
                        <div class="card-content">
                            <div class="card-header">
                                <h4 class="card-title order-title">Shipping Address</h4>
                                <ul class="list-unstyled mb-0">
                                    <li class="d-inline-block mr-2">
                                        <fieldset>
                                            <div class="vs-radio-con">
                                                <input type="radio" name="state_type" checked="" value="local">
                                                <span class="vs-radio">
                                                    <span class="vs-radio--border"></span>
                                                    <span class="vs-radio--circle"></span>
                                                </span>
                                                <span class="order-title-mini">Local</span>
                                            </div>
                                        </fieldset>
                                    </li>
                                    <li class="d-inline-block mr-2">
                                        <fieldset>
                                            <div class="vs-radio-con">
                                                <input type="radio" name="state_type" value="international">
                                                <span class="vs-radio">
                                                    <span class="vs-radio--border"></span>
                                                    <span class="vs-radio--circle"></span>
                                                </span>
                                                <span class="order-title-mini">International</span>
                                            </div>
                                        </fieldset>
                                    </li>
                                </ul>
                            </div>
                            <div class="card-body mt10">
                                <div class="form-body">
                                    @include('orders.partials.new-order.shipping')


                                </div>

                            </div>
                        </div>
                    </div>
                </div>
            </div>
            <!-- shipping billing card end -->

            <!-- customer details card start -->
            <div class="card" style="display: none">
                <div class="card-content">
                    <div class="card-body">
                        <div class="col-sm-12">
                            <div class="row client_bar">
                                <div class="col-sm-2">
                                    <p class="text-bold-600" style="text-align: center;">Client Limit</p>
                                    <p style="text-align: center;">$<span id="userLimit">0</span></p>
                                </div>

                                <div class="col-sm-2">
                                    <p class="text-bold-600" id="" style="text-align: center;">Client
                                        Receivables
                                    </p>
                                    <p style="text-align: center;">$<span id="userReceivables">0</span></p>
                                </div>
                                <div class="col-sm-2">
                                    <p class="text-bold-600" id="" style="text-align: center;">Pending Orders
                                    </p>
                                    <p style="text-align: center;">$<span id="userOrders">0</span></p>
                                </div>
                                <div class="col-sm-2">
                                    <p class="text-bold-600" id="" style="text-align: center;">Proceeded to
                                        Accounts
                                    </p>
                                    <p style="text-align: center;">$<span id="userAccounts">0</span></p>
                                </div>
                                <div class="col-sm-2">
                                    <p class="text-bold-600" id="" style="text-align: center;">Proceeded to
                                        Purchase
                                    </p>
                                    <p style="text-align: center;">$<span id="userPurchase">0</span></p>
                                </div>
                                <div class="col-sm-2">
                                    <p class="text-bold-600" style="color: red;">Remaining Limit</p>
                                    <p style="text-align: center; color: red;">$<span id="limitNote">0</span></p>
                                </div>
                            </div>
                        </div>
                    </div>
                </div>
            </div>

            <!-- customer details card end -->

            <!-- product repeater card start -->
            @include('orders.partials.new-order.line-items')
            <!-- product repeater card end -->

            <!-- other details card start -->
            <div class="row justify-content-center">
                <div class="col-5">
                    @include('orders.partials.new-order.shipping-account')
                </div>
                <div class="col-5">
                    <div class="card">
                        <div class="card-content">
                            <div class="card-body">
                                <div class="row mt25">

                                    <div class="col-md-8 ">
                                        <p class="text-bold-600 order-title-mini">
                                            SubTotal
                                        </p>
                                    </div>

                                    <div class="col-md-4">
                                        <div class="form-label-group">
                                            {{$orderCompany->companyCurrency}}<span id="subTotal">0</span>
                                        </div>
                                    </div>

                                </div>
                                <div class="row" id="credit-card-show" style="display:none;">
                                    <div class="col-md-7 ">
                                        <p class="text-bold-600 order-title-mini">
                                            3.5% CC Charges (if any)
                                        </p>
                                    </div>

                                    <div class="col-md-5">
                                        <fieldset class="">

                                            <input type="number" class="form-control" onkeyup="forItemTotal()"
                                                onkeydown="forItemTotal()" id="dealCreditCardCharges" min="0"
                                                name="dealCreditCardCharges" step=".01" value="0" required=""
                                                oninput="this.value = this.value.replace(/[^0-9.]/g, '').replace(/(\..*)\./g, '$1');">

                                        </fieldset>
                                    </div>

                                </div>

                                <div class="row">
                                    <div class="col-12 ">
                                        <p class="card-title order-title-mini">
                                            Shipping Method</p>
                                    </div>

                                    <div class="col-7 mt8">
                                        <p class="text-bold-600">
                                            <select class="form-control required"
                                                style="border-top: none;border-left: none;border-right: none;"
                                                id="dealShippingType" name="dealShippingType">

                                                <option value="FedEx">FedEx </option>
                                                <option value="FedEx Ground">FedEx Ground </option>
                                                <option value="FedEx Economy">FedEx Economy </option>
                                                <option value="FedEx Priority">FedEx Priority </option>
                                                <option value="DHL">DHL </option>
                                                <option value="UPS">UPS </option>
                                                <option value="USPS">USPS </option>

                                            </select>
                                        </p>
                                    </div>
                                    <div class="col-5 mt8">
                                        <fieldset class="">

                                            <input type="number" class="form-control" onkeyup="forItemTotal()"
                                                onkeydown="forItemTotal()" id="dealShippingCharges" min="0"
                                                name="dealShippingCharges" step=".01" value="0" required=""
                                                oninput="this.value = this.value.replace(/[^0-9.]/g, '').replace(/(\..*)\./g, '$1');">

                                        </fieldset>
                                    </div>

                                    <div class="col-12">
                                        <div class="form-group">
                                            <!-- <a href="javascript:void(0)" data-toggle="modal"
                                                data-target="#inlineFormm">Calculate Fedex Shipping</a> -->

                                            <!-- Modal -->
                                            <div class="modal fade text-left" id="inlineFormm" tabindex="-1"
                                                role="dialog" aria-labelledby="myModalLabel33" style="display: none;"
                                                aria-hidden="true">
                                                <div class="modal-dialog modal-dialog-centered modal-dialog-scrollable"
                                                    role="document">
                                                    <div class="modal-content">
                                                        <div class="modal-header">
                                                            <h4 class="modal-title" id="myModalLabel33">Fedex Shipping
                                                                Calculations</h4>
                                                            <button type="button" class="close" data-dismiss="modal"
                                                                aria-label="Close">
                                                                <span aria-hidden="true">×</span>
                                                            </button>
                                                        </div>
                                                        <div class="modal-body">
                                                            <div class="form-group">
                                                                <input type="text" placeholder="Enter Weight In Lbs"
                                                                    class="form-control">
                                                            </div>
                                                            <ul class="list-group">
                                                                <li
                                                                    class="list-group-item d-flex justify-content-between align-items-center">
                                                                    <span> FedEx First Overnight</span>
                                                                    <span
                                                                        class="badge badge-primary badge-pill">4</span>
                                                                </li>
                                                                <li
                                                                    class="list-group-item d-flex justify-content-between align-items-center">
                                                                    <span> FedEx Standard Overnight</span>
                                                                    <span
                                                                        class="badge badge-primary badge-pill">2</span>
                                                                </li>
                                                                <li
                                                                    class="list-group-item d-flex justify-content-between align-items-center">
                                                                    <span> FedEx 2Days </span>
                                                                    <span
                                                                        class="badge badge-primary badge-pill">1</span>
                                                                </li>
                                                            </ul>
                                                        </div>
                                                        <div class="modal-footer">
                                                            <button type="button"
                                                                class="btn btn-primary waves-effect waves-light"
                                                                data-dismiss="modal">Close</button>
                                                        </div>
                                                    </div>
                                                </div>
                                            </div>
                                        </div>
                                    </div>

                                    <div class="col-12 ">
                                        <p class="card-title order-title-mini">Charges</p>
                                    </div>

                                    <div class="col-7 mt8">
                                        <p class="text-bold-600">
                                            <select class="form-control required"
                                                style="border-top: none;border-left: none;border-right: none;"
                                                id="dealChargeType" name="dealChargeType">
                                                <option value="1">None </option>
                                                <option value="2">Charges</option>
                                                <option value="3">Amazon</option>

                                            </select>
                                        </p>
                                    </div>

                                    <div class="col-5 mt8">
                                        <fieldset class="">

                                            <input type="number" onkeyup="forItemTotal()" onkeydown="forItemTotal()"
                                                class="form-control" id="dealChargeAmount" min="0"
                                                name="dealChargeAmount" step=".01" value="0" required=""
                                                oninput="this.value = this.value.replace(/[^0-9.]/g, '').replace(/(\..*)\./g, '$1');">

                                        </fieldset>
                                    </div>

                                </div>
                                <div class="row ">
                                    <div class="col-md-8 ">
                                        <p class="text-bold-600">
                                            Total
                                        </p>
                                    </div>
                                    <div class="col-md-4">
                                        <div class="form-label-group">
                                            {{$orderCompany->companyCurrency}}<span id="totalPrice">0</span>
                                        </div>
                                    </div>
                                </div>

                                <div class="form-group">
                                    <button type="submit"
                                        class="btn mb-1 btn-primary btn-md btn-block waves-effect waves-light">Create
                                        Order</button>
                                </div>
                            </div>
                        </div>
                    </div>
                </div>
            </div>

        </form>

        <!-- other details card end -->
    </section>
</div>
@endsection

@section('after-scripts')

<script>
    function show_shipping_states() {

        $('#show-shipping-state').empty();

        var shipping_state_type = $("input[name='state_type']:checked").val();

        if (shipping_state_type === 'local') {

            $("#shipping-local-state").children().clone().appendTo("#show-shipping-state");
            $('#show-shipping-state select').removeAttr('id');
            $('#show-shipping-state select').attr('id', 'shipping-id-state');
            $('#dealShippingCountry').val('{{$orderCompany->country->countryName}}');
        } else {

            $("#shipping-intl-state").children().clone().appendTo("#show-shipping-state");
            $('#dealShippingCountry').val('');
        }





    }

    function show_billing_states() {

        $('#show-billing-state').empty();

        var billing_state_type = $("input[name='billing_state_type']:checked").val();

        if (billing_state_type === 'local') {

            $("#billing-local-state").children().clone().appendTo("#show-billing-state");

            $('#show-billing-state select').removeAttr('id');
            $('#show-billing-state select').attr('id', 'billing-id-state');

            $('#dealCountry').val('{{$orderCompany->country->countryName}}');
        } else {
            $('#dealCountry').val('');
            $("#billing-intl-state").children().clone().appendTo("#show-billing-state");

        }




    }
    var loop_count = 1;

    function add_more() {


        var addNew = ` <div class="row" >
                            <input  name="dealItemId[]" id="dealItemId-${loop_count}" type="hidden">
                            <div class="col-sm-12 row" id="product_attr_${loop_count}">
                                <div class="col-md-2 form-group form-margin-control">
                                    
                                    <input type="text" id="dealItemName-${loop_count}" autocomplete="off" class="form-control" name="dealItemName[]"
                                        placeholder="Part #" onkeyup="partFunction(this,${loop_count});" required="">
                                        <ul   class="suggesstion-part special-hide" style="background: rgb(255, 255, 255);position: absolute;z-index: 1;border: 1px solid;padding: 7px 5px 10px 31px;width: 92%; display: none;"></ul>

                                </div>
                                <div class="col-md-4 form-group form-margin-control">
                                   
                                    <input type="text" autocomplete="off" id="dealItemDescription-${loop_count}" class="form-control"
                                        name="dealItemDescription[]" placeholder="Description" required="">
                                </div>
                                <div class="col-md-2 form-group form-margin-control">
                                   
                                    <input type="text" id="dealItemUnitCost-${loop_count}" class="form-control totalUnitqty"
                                        name="dealItemUnitCost[]" onkeyup="forItemTotal()" onkeydown="forItemTotal()"
                                        placeholder="Price" required="">
                                </div>
                                <div class="col-md-2 form-group form-margin-control">
                                  
                                    <input type="text" id="dealItemQuantity-${loop_count}" onchange="forItemTotal()"
                                        onkeyup="forItemTotal()" onkeydown="forItemTotal()" class="form-control"
                                        name="dealItemQuantity[]" placeholder="Qty" required="">
                                </div>
                                <div class="col-md-2 form-group form-margin-control">
                                   
                                    <input type="text" id="dealItemTotal-${loop_count}" class="form-control"
                                        name="dealItemTotal[]" placeholder="0.00" disabled>
                                </div>
                                <div class="col-md-2 form-group form-margin-control">
                                  
                                   
                                <input type="text" id="dealItemBrand-${loop_count}" autocomplete="off" required="" class="form-control" name="dealItemBrand[]" placeholder="Brand"  brandid="${loop_count}" onkeyup="brandFunction(this);">
                                <ul   class="suggesstion-brand special-hide" style="background: rgb(255, 255, 255);position: absolute;z-index: 1;border: 1px solid;padding: 7px 5px 10px 31px;width: 92%; display: none;"></ul>

                                </div>
                               
                            </div>
                        </div><hr>`;
        loop_count++;
        $('#add_line_item').append(addNew);
    }

    function remove_more(loop_count) {

        jQuery('#product_attr_' + loop_count).remove();
    }

    $('#modalCompanyName').keyup(function () {
        var existing_customer_query = this.value;
        console.log(existing_customer_query);
        var actionUrl = "{{ route('existing_customer_search') }}";


        $.ajax({
            data: {
                existing_customer_query: existing_customer_query,
            },
            url: actionUrl,
            type: 'POST',
            beforeSend: function (request) {
                return request.setRequestHeader('X-CSRF-Token', $("meta[name='csrf-token']").attr(
                    'content'));
            },
            success: function (response) {
                var j = 0;
                // console.log(response);
                $("#companies-box").show();
                var customer_data = JSON.parse(response);
                if (customer_data.length > 0) {
                    var str = '';
                    for (var i = 0; i < customer_data.length; i++) {

                        userId = customer_data[i]["userId"];
                        // console.log(userId);
                        userCompany = customer_data[i]["userCompany"];
                        email = customer_data[i]["email"];
                        str += '<li class="list-group-item" onClick=selectCompany(' + userId +
                            ')><a href="javascript:void(0)" style="color: #888888;font-size: 14px;"><span style="color:#1b1b1b; font-weight:600;font-size: 16px">' +
                            customer_data[i]["userCompany"] + '</span> (' + email + ' )</a></li>';
                    }

                    $("#companies-box").empty();
                    $("#companies-box").append(str);

                    j++;

                }
            }
        })


    });

    function selectCompany(customer_id) {
        $("#companies-box").empty();
        $("#companies-box").hide();
        var actionUrl = "{{ route('get_customer_details') }}";

        $.ajax({
            data: {
                customer_id: customer_id,
            },
            url: actionUrl,
            type: 'POST',
            beforeSend: function (request) {
                return request.setRequestHeader('X-CSRF-Token', $("meta[name='csrf-token']").attr(
                    'content'));
            },
            success: function (response) {
                // console.log(response);
                var customer_details = JSON.parse(response);

                $("input[name='userId']").val(customer_details.userId);
                $('#modalCompanyName').val(customer_details.userCompany);
                $("input[name='dealCompanyName']").val(customer_details.userCompany);
                $("input[name='dealShippingCompany']").val(customer_details.userCompany);
                $("input[name='dealPrimaryContact']").val(customer_details.firstName + ' ' +
                    customer_details.lastName);
                $("input[name='dealShippingContact']").val(customer_details.firstName + ' ' +
                    customer_details.lastName);
                $("input[name='dealAddress']").val(customer_details.userAddress);
                $("input[name='dealShippingAddress']").val(customer_details.userAddress);
                $("input[name='dealCity']").val(customer_details.userCity);
                $("input[name='dealShippingCity']").val(customer_details.userCity);
                $("#dealState").val(customer_details.userState);
                $("#dealShippingState").val(customer_details.userState);
                $("input[name='dealPostalCode']").val(customer_details.userPostalCode);
                $("input[name='dealShippingZip']").val(customer_details.userPostalCode);
                $("input[name='dealPhone']").val(customer_details.phone);
                $("input[name='dealShippingPhone']").val(customer_details.phone);
                $("input[name='dealEmail']").val(customer_details.email);
                $("input[name='dealShippingEmail']").val(customer_details.email);
                //$('#userLimit').text(customer_details.assign_limit);

                // remaining_limit(customer_details.userId);
                // $('#existingModal').modal('toggle');

            }
        })

    }

    function remaining_limit(customer_id) {

        var actionUrl = "{{ route('customer_remaining_limit') }}";

        $.ajax({
            data: {
                customer_id: customer_id,
            },
            url: actionUrl,
            type: 'POST',
            beforeSend: function (request) {
                return request.setRequestHeader('X-CSRF-Token', $("meta[name='csrf-token']").attr(
                    'content'));
            },
            success: function (response) {
                var result = JSON.parse(response);
                var userReceivables = 0;

                // console.log(customer_receivable_total);
                if (result.receivableTotal == null) {
                    userReceivables = 0;

                } else {
                    userReceivables = result.receivableTotal;
                }
                $('#userReceivables').text(userReceivables);
                orders_limit(customer_id);
            }
        })

    }

    function orders_limit(customer_id) {

        var actionUrl = "{{ route('customer_orders_limit') }}";

        $.ajax({
            data: {
                customer_id: customer_id,
            },
            url: actionUrl,
            type: 'POST',
            beforeSend: function (request) {
                return request.setRequestHeader('X-CSRF-Token', $("meta[name='csrf-token']").attr(
                    'content'));
            },
            success: function (response) {

            }
        })

    }

    $('input[type=radio][name=state_type]').change(function () {
        show_shipping_states()
    });


    $('input[type=radio][name=billing_state_type]').change(function () {
        show_billing_states()
    });

    function forItemTotal() {

        var subTotal = 0;

        var totalLength = $('.totalUnitqty').length;
        // alert(totalLength);
        for (var i = 0; i < totalLength; i++) {

            var unitPrice = 'dealItemUnitCost-' + i;
            var total_price_unit = 'dealItemTotal-' + i;
            var qty = 'dealItemQuantity-' + i;
            // alert(qty);
            var it = 'dealItemTotal-' + i;
            // var dealItemQuotePrice = 'dealItemQuotePrice[' + i + ']';
            var up = $("#" + unitPrice).val();
            var tpu = $("#" + total_price_unit).val();
            var qt = $("#" + qty).val();

            var newval = parseFloat(up) * parseFloat(qt);
            // var quotePrice = bidingper + parseFloat(tpu);
            // console.log(bidingper)
            $("#" + it).val('');
            $("#" + it).val(newval.toFixed(2));
            // $("#" + dealItemQuotePrice).val(quotePrice.toFixed(2));
            subTotal = subTotal + newval
        }

        var up = $("#" + unitPrice).val();

        $('#subTotal').text('')
        $('#subTotal').text(subTotal.toFixed(2));


        var dealCreditCardCharges = $("input[name='dealCreditCardCharges']").val();
        var dealShippingCharges = $("input[name='dealShippingCharges']").val();
        var dealTaxValue = 0;
        var dealChargeType = $('#dealChargeType :selected').val();
        var dealChargeAmount = $("input[name='dealChargeAmount']").val();
        if (dealChargeType === 'Amazon Charges') {
            dealChargeAmount = -dealChargeAmount;

        }

        //var dealChargeAmount = 0;
        $('#totalPrice').text('');
        var newtotalprice = subTotal + parseFloat(dealCreditCardCharges) + parseFloat(dealShippingCharges) +
            parseFloat(
                dealTaxValue) + parseFloat(dealChargeAmount);
        $('#totalPrice').text(newtotalprice.toFixed(2));
        $('#txtAmt').val(subTotal.toFixed(2));


    }

    $('#shippingAccount').change(function () {

        var shipping_account_id = $("#shippingAccount").val();

        var actionUrl = "{{ route('get_shipping_account_details') }}";

        $.ajax({
            data: {
                shipping_account_id: shipping_account_id,
            },
            url: actionUrl,
            type: 'POST',
            beforeSend: function (request) {
                return request.setRequestHeader('X-CSRF-Token', $("meta[name='csrf-token']").attr(
                    'content'));
            },
            success: function (response) {
                var result = JSON.parse(response);
                $('#dealShippingAccount').val(result.value);
            }
        })

    });



    function brandFunction(e) {
        pid = $(e).attr("brandid");
        $.ajaxSetup({
            headers: {
                'X-CSRF-TOKEN': $('meta[name="csrf-token"]').attr('content')
            }
        });
        if (e.value !== '') {
            $.ajax({
                type: "POST",
                url: "{{ route('order-brands') }}",
                data: 'keyword=' + e.value,
                beforeSend: function () {
                    //  $(".dealItemName").css("background","#FFF");
                },
                success: function (data) {


                    $(e).next(".suggesstion-brand").show();

                    //     $('.suggesstion-brand').closest('.Level3').show();


                    var as = JSON.parse(data);

                    if (as.length > 0) {


                        var str = '';
                        for (var i = 0; i < as.length; i++) {

                            var name = as[i]["brandName"];
                            var id = as[i]["brandId"];


                            var valueString = '"' + pid + '~' + name + '"';

                            str += '<li onclick="selectBrand(' + i + ', ' + pid + ')" id="select-brand-' + i + '" style="cursor: pointer;">' + as[i]["brandName"] + '</li>';


                        }

                        //                       var name= 'dealItems['+j+'][dealItemName]';
                        $(".suggesstion-brand").empty();

                        $(e).next(".suggesstion-brand").append(str);


                    }

                    // $(".dealItemName").css("background","#FFF");
                }
            });
        }
        else {
            $(e).next(".suggesstion-brand").hide();
        }
    }

    function selectBrand(i, pid) {
        var pidtext = $('#select-brand-' + i).text();
        $('#dealItemBrand-' + pid).val(pidtext);
        $(".suggesstion-brand").empty();
        $(".suggesstion-brand").hide();

    }




    $("#dealPaymentMethod").change(function () {
        var dealPaymentMethod = $(this).val();
        if (dealPaymentMethod === 'Credit Card') {
            $('#credit-card-show').show();
        } else {
            $('#credit-card-show').hide();
        }
    });





    $("body").click
        (
            function (e) {
                if (e.target.className !== "special-hide") {
                    $(".suggesstion-part").hide();
                }
            }
        );

    $(document).ready(function () {
        show_billing_states()
        show_shipping_states()
    });


    function twoWayBinding() {

        if ($('#checkbox_same').is(':checked')) {


            var userCompany = $("input[name='dealCompanyName']").val();
            $("input[name='dealShippingCompany']").val(userCompany);
            var firstNamelastName = $("input[name='dealPrimaryContact']").val();
            $("input[name='dealShippingContact']").val(firstNamelastName);
            var userAddress = $("input[name='dealAddress']").val();
            $("input[name='dealShippingAddress']").val(userAddress);
            var userCity = $("input[name='dealCity']").val();
            $("input[name='dealShippingCity']").val(userCity);
            //  var userState = $( "input[name='dealState']" ).val();
            //$("input[name='dealState'] :selected").val();
            var userState = $("#billing-id-state").val();

            // var userState = $('#show-billing-state').closest('select').find(':selected').val();
            // var userState = $("#billing-id-state").filter(":selected").val();
            console.log(userState)
            //$( "input[name='dealShippingState']" ).val(userState);
            $("#shipping-id-state").val(userState);
            $("#dealShippingStateDropdown").val(userState);
            $("input[name='dealShippingState']").val(userState);

            //  $("input[name='dealShippingState']").val(userState).change();

            // $("input[name='dealShippingState'] option[value='"+userState+"']").prop("selected", true);


            //$('input[name="dealShippingState"] option[value="'+userState+'"]').attr('selected','selected');
            var userPostalCode = $("input[name='dealPostalCode']").val();
            $("input[name='dealShippingZip']").val(userPostalCode);
            var phone = $("input[name='dealPhone']").val();
            $("input[name='dealShippingPhone']").val(phone);
            var email = $("input[name='dealEmail']").val();
            $("input[name='dealShippingEmail']").val(email);
            //  var dealState = $("input[name='dealState']").val();
            // $("input[name='dealState']").val(email);


            var country = $("input[name='dealCountry']").val();
            $("input[name='dealShippingCountry']").val(country);

        }

    }


    CKEDITOR.replace('dealRefrenceText');

</script>


@endsection