@extends('layouts.app')
@section('leftbar-orders-active', 'active')

@section('breadcrumbs')
    <div class="content-header-left col-md-9 col-12 mb-2">
        <div class="row breadcrumbs-top">
            <div class="col-12">
                <h2 class="content-header-title float-left mb-0">Expense</h2>
                <div class="breadcrumb-wrapper col-12">
                    <ol class="breadcrumb">
                        <li class="breadcrumb-item"><a href="index.html">Home</a>
                        </li>
                        <li class="breadcrumb-item active">List
                        </li>
                    </ol>
                </div>
            </div>
        </div>
    </div>

@endsection

@section('after-style')
@endsection
@section('content-body')
<div class="content-body">
    <section>

        @if (\Session::has('success'))
        <div class="alert alert-success">
            <ul>
                <li>{!! \Session::get('success') !!}</li>
            </ul>
        </div>
        @endif
        <!-- first card end -->
        <!-- shipping billing card start -->
        <div class="row">
            <div class="col-md-12 ">
                <div class="card">
                    <div class="card-content">
                            <h4 class="add_new_cust_heading">Add new Expense</h4>
                        <div class="card-body">
                            <form class="form repeater-default" action="{{ route('expenses.store') }}" method="POST" 
                            enctype="multipart/form-data">
                                @csrf
                                <div class="form-body">
                                    <div class="row">

                                        <div class="col-md-6 col-12">
                                            <div class="form-group">
                                                <label>Head of Accounts</label>

                                                <select class="form-control" name="expenseHoaId">
                                                  @foreach($hoas as $hoa)
                                                  <option value="{{ $hoa->hoavId }}">{{ $hoa->hoavName }}</option>
                                                  @endforeach
                                                </select>
                                            </div>
                                        </div>
                                        <div class="col-md-6 col-12">
                                            <div class="form-group">
                                                <label>Vendors</label>

                                                <select class="form-control" name="expenseVendorId">
                                                  @foreach($vendors as $vendor)
                                                    <option value="{{ $vendor->hoavId }}">{{ $vendor->hoavName }}</option>
                                                    @endforeach
                                                </select>
                                            </div>
                                        </div>

                                        <div class="col-md-6 col-12">
                                            <div class="form-group">
                                                <label>Invoice No</label>

                                                <input type="text" id="expenseInvoiceNo" class="form-control"
                                                    name="expenseInvoiceNo" placeholder="Invoice No" required>
                                            </div>
                                        </div>
                                        <div class="col-md-6 col-12">
                                            <div class="form-group">
                                                <label>Payment Method</label>

                                                <select class="form-control" name="expensePaymentMethod" onchange="addDays()">
                                                  @for($i=0; $i<61; $i++)
                                                    @if($i == 0)
                                                    <option value="Net Term 1" data-days="1">Net Term 1</option>

                                                    @else
                                                    <option value="Net Term {{ $i }}" data-days="{{ $i }}">Net Term {{ $i }}</option>
                                                    @endif
                                                    @php $i = $i+4; @endphp
                                                    @endfor
                                                </select>
                                            </div>
                                        </div>
                                        <div class="col-md-6 col-12">
                                            <div class="form-group">
                                                <label>Invoice Date</label>
                                                <input type="date" id="expenseEndDateTime" class="form-control"
                                                    name="expenseEndDateTime" placeholder="Date" required>
                                            </div>
                                        </div>
                                        <div class="col-md-6 col-12">
                                            <div class="form-group">
                                                <label>Invoice Due Date</label>
                                                <input type="date" id="expenseDueDate" class="form-control"
                                                    placeholder="" name="expenseDueDate" required>
                                            </div>
                                        </div>
                                        <div class="col-md-9 col-9">
                                            <div class="form-group">
                                                <label>Description</label>

                                                <textarea type="text" id="expenseReference" class="form-control"
                                                    placeholder="Address" name="expenseReference" required></textarea>
                                            </div>
                                        </div>

                                        <div class="col-md-3 col-3">
                                          <div class="form-group">
                                              <label>Attachment</label>
                                              <input type="file" id="attachment" class="form-control"
                                                  placeholder="" name="expenseAttachment" >
                                          </div>
                                      </div>


                                    </div>


                                    <div >
                                        <div >
                                          <div class="row " style="    background: antiquewhite;
                                          padding: 10px;">
                                            <div class="col-md-5 col-sm-12 ">
                                              <b for="">Description </b>
                                            </div>
                                            <div class="col-md-2 col-sm-12 ">
                                              <b for="">Quantity</b>
                                            </div>
                                            <div class="col-md-2 col-sm-12 ">
                                              <b for="">Unit Cost</b>

                                            </div>
                                            <div class="col-md-2 col-sm-12 ">
                                                <b for="">Total</b>

  
                                              </div>
                                            <div class="col-md-1 col-sm-12  d-flex align-items-center pt-2">
                                              
                                            </div>
                                          </div>
                                          <hr>
                                        </div>
                                      </div>


                                    <div data-repeater-list="expenseItem">
                                        <div data-repeater-item>
                                          <div class="row ">
                                            <div class="col-md-5 col-sm-12 ">
                                              <input type="text" class="form-control" name="expenseItemDescription" required>
                                            </div>
                                            <div class="col-md-2 col-sm-12 ">
                                              <input type="number" onkeydown="forItemTotal()" onkeyup="forItemTotal()"  class="form-control totalUnitqty" name="expenseItemQuantity" value="1" required>
                                            </div>
                                            <div class="col-md-2 col-sm-12 ">
                                              <input type="text" onkeydown="forItemTotal()" onkeyup="forItemTotal()" class="form-control" name="expenseItemUnitCost" value="0" oninput="this.value = this.value.replace(/[^0-9.]/g, '').replace(/(\..*)\./g, '$1');" required >

                                            </div>
                                            <div class="col-md-2 col-sm-12 ">

                                                <input type="text" class="form-control" name="expenseItemTotal" readonly value="0">
  
                                              </div>
                                            <div class="col-md-1 col-sm-12  d-flex align-items-center">
                                              <button class="btn btn-danger btn-sm" data-repeater-delete type="button"> <i class="fa fa-trash"></i>
                                                
                                              </button>
                                            </div>
                                          </div>
                                          <hr>
                                        </div>
                                      </div>
                                      <div class="form-group">
                                        <div class="col p-0">
                                          <button class="btn btn-primary btn-sm" data-repeater-create type="button"><i class="bx bx-plus"></i>
                                            Add
                                          </button>
                                        </div>
                                      </div>


                                </div>
                                <div class="col-md-12">
                                    <button type="submit" class="float-right btn submit-btn mr-1 mb-1 waves-effect waves-light">Create</button>
                                </div>
                            </form>
                        </div>
                    </div>
                </div>
            </div>

        </div>
        <!-- shipping billing card end -->

    </section>
</div>
@endsection

@section('after-scripts')
<script src="{{ asset('app-assets/js/jquery.repeater.min.js') }}"></script>

<script>
    // form repeater Initialization
$('.repeater-default').repeater({
  show: function () {
    $(this).slideDown();
  },
  hide: function (deleteElement) {
    if (confirm('Are you sure you want to delete this element?')) {
      $(this).slideUp(deleteElement);
    }
  }
});


function forItemTotal()
   {

    var subTotal = 0;

    var totalLength = $('.totalUnitqty').length;
      for(var i=0; i<totalLength; i++) {
    
      var unitPrice= 'expenseItem['+i+'][expenseItemUnitCost]';
     
      var qty = 'expenseItem['+i+'][expenseItemQuantity]';

      var it = 'expenseItem['+i+'][expenseItemTotal]';

      var up = $( "input[name='"+unitPrice+"']" ).val();
       var qt = $( "input[name='"+qty+"']" ).val();
       var newval = parseFloat(up)*parseFloat(qt)
       $( "input[name='"+it+"']" ).val('');
       $( "input[name='"+it+"']" ).val(newval.toFixed(2));
      subTotal = subTotal+newval
      }

      var up = $( "input[name='"+unitPrice+"']" ).val();

      //$('#subTotal').text('')
      //$('#subTotal').text(subTotal.toFixed(2));


      var dealTaxValue = $( "input[name='dealTaxValue']" ).val();
      

//var dealChargeAmount = 0;
    //  $('#totalPrice').text('');
    //  var newtotalprice = subTotal+parseFloat(dealCreditCardCharges)+parseFloat(dealShippingCharges)+parseFloat(dealTaxValue)+parseFloat(dealChargeAmount);
    //  $('#totalPrice').text(newtotalprice.toFixed(2));
    //  $('#txtAmt').val(subTotal.toFixed(2));
  
   }



   function addDays() {
    var date = $('#expenseEndDateTime').val()
    var days  = $("#unprecented_bank").children('option:selected').data('days');
     
      date.setDate(date.getDate() + days);
      console.log(result)
      $('#expenseDueDate').val(result)



      

}




    </script>

    @endsection