@extends('layouts.app')
@section('leftbar-orders-active', 'active')

@section('breadcrumbs')
    <div class="content-header-left col-md-9 col-12 mb-2">
        <div class="row breadcrumbs-top">
            <div class="col-12">
                <h2 class="content-header-title float-left mb-0">Journal</h2>
                <div class="breadcrumb-wrapper col-12">
                    <ol class="breadcrumb">
                        <li class="breadcrumb-item"><a href="">Home</a>
                        </li>
                        <li class="breadcrumb-item active">List
                        </li>
                    </ol>
                </div>
            </div>
        </div>
    </div>

@endsection

@section('after-style')
@endsection
@section('content-body')
<div class="content-body">
    <section>

        @if (\Session::has('success'))
        <div class="alert alert-success">
            <ul>
                <li>{!! \Session::get('success') !!}</li>
            </ul>
        </div>
        @endif
        @if ($errors->any())
        @foreach ($errors->all() as $error)
            <div>{{$error}}</div>
        @endforeach
    @endif
        <!-- first card end -->
        <!-- shipping billing card start -->
        <div class="row">
            <div class="col-md-12 ">
                <div class="card">
                    <div class="card-content">
                            <h4 class="add_new_cust_heading">Add New Journal Entry</h4>
                        <div class="card-body">
                            <form class="form repeater-default" action="{{ route('journal-entry.store') }}" method="POST" 
                            enctype="multipart/form-data">
                                @csrf
                                <div class="form-body">
                                    <div class="col-md-12 col-12">
                                        <p id="main-text" style="display: none;     text-align: center;                                        ">Payment from <span id="payment-one" style="color:brown; font-size: 13px;
                                            font-weight: 700;"></span> to <span id="payment-two" style="color:brown; font-size: 13px;
                                            font-weight: 700;"></span></p>
                                    </div>
                                    <div class="row">
                                        <div class="col-md-4 col-12">
                                            <div class="form-group">
                                                <label>Date</label>
                                                <input type="date" id="journalDate" class="form-control"
                                                    name="journalDate" placeholder="Date" required>
                                            </div>
                                        </div>
                                        <div class="col-md-8 col-12">
                                            <div class="form-group">
                                                <label>Narration</label>
                                                <input type="text" id="journalReference" class="form-control"
                                                    name="journalReference"  required>
                                            </div>
                                        </div>
                                    </div>
                                    <hr>


                                    @include('reporting.journal-entry.partial.entry', ['rowis' => "one"])
                                    @include('reporting.journal-entry.partial.entry', ['rowis' => "two"])
                                   

                                </div>
                                <div class="col-md-12">
                                    <button type="submit" class="float-right btn submit-btn mr-1 mb-1 waves-effect waves-light">Save</button>
                                </div>
                            </form>
                        </div>
                    </div>
                </div>
            </div>

        </div>
        <!-- shipping billing card end -->

    </section>
</div>
@endsection

@section('after-scripts')
<script>


    getDebit = (param) => {
      let journalEntryDebit = $('#journalEntryDebit-'+param).val();
      if(param == 'one') { 
        $('#journalEntryCredit-two').val(journalEntryDebit);
         $('#journalEntryCredit-one').val(0)
         $('#journalEntryDebit-two').val(0)

      }
      if(param == 'two') { 
        $('#journalEntryCredit-one').val(journalEntryDebit);
        $('#journalEntryCredit-two').val(0)
         $('#journalEntryDebit-one').val(0)
      }

}   

getCredit = (param) => {
    let journalEntryCredit = $('#journalEntryCredit-'+param).val();
      if(param == 'one') { 
       
        $('#journalEntryCredit-two').val(0)
         $('#journalEntryDebit-one').val(0)

        $('#journalEntryDebit-two').val(journalEntryCredit);
      }
      if(param == 'two') { 
        $('#journalEntryCredit-one').val(0)
         $('#journalEntryDebit-two').val(0)
        $('#journalEntryDebit-one').val(journalEntryCredit);
      }
}


// resechdulePayment = (param) => {
//     if(param == 'one') { 
//     if($('#journalEntryDebit-one').val() > 0){
//          $('#journalEntryDebit-one').val(0)
//     }
//     }
// }


// Get references to the two select elements
var select1 = $('#select-one');
var select2 = $('#select-two');
var prevSelected1 = '';
var prevSelected2 = '';

select1.on('change', function() {
  var selectedValue = select1.val();
  var selectedText = select1.find(':selected').text();
  var selectedType1 =  select1.find(':selected').data('type');
  var rowis1 =   select1.find(':selected').data('rowis');
  $('#pay_'+rowis1).val(selectedType1)
 
  select2.find('option[value="' + prevSelected1 + '"]').prop('disabled', false);
  select2.find('option[value="' + selectedValue + '"]').prop('disabled', true);
  prevSelected1 = selectedValue;
   
 $('#payment-'+rowis1).text(selectedText)
 $('#main-text').show()
});

select2.on('change', function() {
  var selectedValue = select2.val();
  var selectedText = select2.find(':selected').text();

  var selectedType2 =  select2.find(':selected').data('type');
  var rowis2 =   select2.find(':selected').data('rowis');
  $('#pay_'+rowis2).val(selectedType2)
  select1.find('option[value="' + prevSelected2 + '"]').prop('disabled', false);
  select1.find('option[value="' + selectedValue + '"]').prop('disabled', true);
  prevSelected2 = selectedValue;
  $('#payment-'+rowis2).text(selectedText)
 
  $('#main-text').show()
});
</script>

    @endsection