@extends('layouts.app')
@section('leftbar-orders-active', 'active')

@section('breadcrumbs')
    <div class="content-header-left col-md-9 col-12 mb-2">
        <div class="row breadcrumbs-top">
            <div class="col-12">
                <h2 class="content-header-title float-left mb-0">Customers</h2>
                <div class="breadcrumb-wrapper col-12">
                    <ol class="breadcrumb">
                        <li class="breadcrumb-item"><a href="index.html">Home</a>
                        </li>
                        <li class="breadcrumb-item active">List
                        </li>
                    </ol>
                </div>
            </div>
        </div>
    </div>
    <div class="content-header-right text-md-right col-md-3 col-12 d-md-block d-none">
        <div class="form-group breadcrum-right">
            <div class="dropdown">
                <button class="btn-icon btn btn-primary btn-round btn-sm dropdown-toggle" type="button"
                    data-toggle="dropdown" aria-haspopup="true" aria-expanded="false"><i
                        class="feather icon-settings"></i></button>
                <div class="dropdown-menu dropdown-menu-right"><a class="dropdown-item" href="#">Chat</a><a
                        class="dropdown-item" href="#">Email</a><a class="dropdown-item" href="#">Calendar</a>
                </div>
            </div>
        </div>
    </div>
@endsection

@section('content-body')

<div class="content-body">
    <section id="sale-order-datatable">
        {{-- <div class="card m0">
            <div class="card-content">
                <div class="card-body">
                    <div class="row ">
                        <div class="col-4 row">
                            <div class="col-8">
                           
                            </div>
                        </div>
                      </div>
                </div>
            </div>
        </div> --}}

        <div class="row">

            <div class="col-12">
                <div class="card m0">
                <div class="card-content">
                    <div class="card-body">
                        <div class="row ">
                            <div class="col-md-4">
                                <h4>Net Term Report</h4>
                               <h1> Total : <span style="color: green;">{{ $orders->count() }}</span> </h1>
                            </div>
                        
                             
                            <div class="col-md-8">
                            <form method="GET" action="" class=""> 
                            <div class="row ">
                             
                             
                         
                          
                          
                                <div class="col-3">
                                    <fieldset class="form-group">
                                        <select class="form-control" name="dealMonth" id="dealMonth" @if($dealMonth == "all") selected=""  @endif>
                                            <option value="all" >All</option>
                                            @foreach($dealMonthArray as $key => $dm)
                                        <option value="{{ $key  }}" @if($dealMonth == $key) selected=""  @endif >{{ $dm }}</option>
                                        @endforeach
                                        </select>
                                    </fieldset>
                                    </div>
                                    <div class="col-3">
                                    <fieldset class="form-group">
                                        <select class="form-control" name="dealYear" id="dealYear">
                                        @foreach($dealYearArray as $key => $dy)
                                        <option value="{{ $key  }}" @if(request()->get("dealYear") == $key) selected="" @elseif($key == $dealYear) selected="" @endif >{{ $dy }}</option>
                                        @endforeach
                                        </select>
                                    </fieldset>
                                </div>
                                <div class="col-2">
                                    <button type="submit" class="btn btn-primary waves-effect waves-light">Show</button>
                                </div>
                            </div>
                            </form>
                        </div>
                        </div>
                    </div>
                </div>
            </div>
                <div class="card">
                    @php
                    $pref = auth()->user()->company->companyPrefix;
                    @endphp
                    <div class="card-content">
                        <div class="card-body card-dashboard">
                            <div class="table-responsive">
                                <table class="table zero-configuration">
                                    <thead>
                                        <tr>
                                            <th>SO</th>
                                            <th>Net Term</th>
                                            <th>Net Term By</th>
                                            <th>-</th>
                                        </tr>
                                    </thead>
                                    <tbody>
                                        @foreach ($orders as $deal)
                                            <tr>
                                                <td>{{ $pref }}{{ $deal->dealSO}}</td>
                                              <td>{{ $deal->dealPaymentMethod}}</td>
                                                <td><a href="https://erp.thetechit.com/admin/purchases?inidcst={{ $deal->dealSO}}" target="_blank">view</a></td>
                                                
                                            </tr>
                                        @endforeach
                                    </tbody>
                                    <tfoot>
                                        <tr>
                                           <th>SO</th>
                                            <th>Net Term</th>
                                            <th>Net Term By</th>
                                            <th></th>
                                            <th>-</th>
                                        </tr>
                                    </tfoot>
                                </table>
                               
                            </div>
                        </div>
                    </div>
                </div>
            </div>
        </div>
    </section>
</div>
@endsection

@section('after-scripts')
    <script>
        $('#sale-order-datatable').DataTable();
    </script>
@endsection
